Index: /branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- /branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 21673)
+++ /branches/version-2_12-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 21684)
@@ -122,5 +122,8 @@
         //downloadable_daysにNULLが入っている場合(無期限ダウンロード可能時)もあるので、NULLの場合は0日に補正
         $downloadable_days = $baseinfo['downloadable_days'];
-        if($downloadable_days ==null || $downloadable_days == '')$downloadable_days=0;
+        // FIXME 怪しい比較「== null」
+        if ($downloadable_days == null || $downloadable_days == '') {
+            $downloadable_days = 0;
+        }
         $sql = <<< __EOS__
             (
Index: /branches/version-2_12-dev/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_UploadFile.php	(revision 21593)
+++ /branches/version-2_12-dev/data/class/SC_UploadFile.php	(revision 21684)
@@ -247,8 +247,8 @@
                 $objImage->moveTempImage($this->temp_file[$cnt], $this->save_dir);
                 // すでに保存ファイルがあった場合は削除する。
-                if(isset($this->save_file[$cnt])
+                if (isset($this->save_file[$cnt])
                     && $this->save_file[$cnt] != ''
-                    && !ereg('^sub/', $this->save_file[$cnt]))
-                {
+                    && !ereg('^sub/', $this->save_file[$cnt])
+                ) {
                     $objImage->deleteImage($this->save_file[$cnt], $this->save_dir);
                 }
@@ -467,6 +467,7 @@
                     if (!isset($this->save_file[$cnt])) $this->save_file[$cnt] = '';
                     if (!isset($this->temp_file[$cnt])) $this->temp_file[$cnt] = '';
-                    if($this->save_file[$cnt] == ''
-                            &&  $this->temp_file[$cnt] == '') {
+                    if ($this->save_file[$cnt] == ''
+                        &&  $this->temp_file[$cnt] == ''
+                    ) {
                         $arrRet[$val] = '※ ' . $this->disp_name[$cnt] . 'がアップロードされていません。<br>';
                     }
Index: /branches/version-2_12-dev/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21515)
+++ /branches/version-2_12-dev/data/class/SC_SelectSql.php	(revision 21684)
@@ -108,6 +108,7 @@
 
         //　開始～終了
-        if( ($from_year != '') && ($from_month != '') && ($from_day != '') &&
-            ($to_year != '') && ($to_month != '') && ($to_day != '')) {
+        if (($from_year != '') && ($from_month != '') && ($from_day != '')
+            && ($to_year != '') && ($to_month != '') && ($to_day != '')
+        ) {
             $this->setWhere($column . ' >= ? AND ' . $column . ' < date(?)');
             $return[] = $date1;
@@ -130,12 +131,19 @@
 
             if (count($arr) > 1) {
-                if(! is_null($data)) $item .= $ItemStr . ' = ? OR ';
+                if (!is_null($data)) {
+                    $item .= $ItemStr . ' = ? OR ';
+                }
             } else {
-                if(! is_null($data)) $item = $ItemStr . ' = ?';
+                if (!is_null($data)) {
+                    $item = $ItemStr . ' = ?';
+                }
             }
             $return[] = $data;
         }
 
-        if( count($arr) > 1)  $item = '(' . rtrim($item, ' OR ') . ')';
+        if (count($arr) > 1) {
+            // FIXME 多分この rtrim の使い方は不適切(偶然動作しそうだが)
+            $item = '(' . rtrim($item, ' OR ') . ')';
+        }
         $this->setWhere($item);
         return $return;
@@ -190,6 +198,7 @@
 
         for ($i = 0; $i < $count; $i++) {
-
-            if( isset($arrWhere[$i]['value'])) $statement .= $arrWhere[$i]['column'] .' = ' . SC_Utils_Ex::sfQuoteSmart($arrWhere[$i]['value']) .' OR '  ;
+            if (isset($arrWhere[$i]['value'])) {
+                $statement .= $arrWhere[$i]['column'] .' = ' . SC_Utils_Ex::sfQuoteSmart($arrWhere[$i]['value']) .' OR ';
+            }
         }
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 21527)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 21684)
@@ -145,8 +145,9 @@
         $result = true;
         foreach ($arrCSVFrame as $key => $val) {
-            if($val['status'] != CSV_COLUMN_STATUS_FLG_ENABLE
-                    and $val['rw_flg'] == CSV_COLUMN_RW_FLG_READ_WRITE
-                    and $val['error_check_types'] != ''
-                    and strpos(strtoupper($val['error_check_types']), 'EXIST_CHECK') !== FALSE) {
+            if ($val['status'] != CSV_COLUMN_STATUS_FLG_ENABLE
+                && $val['rw_flg'] == CSV_COLUMN_RW_FLG_READ_WRITE
+                && $val['error_check_types'] != ''
+                && strpos(strtoupper($val['error_check_types']), 'EXIST_CHECK') !== FALSE
+            ) {
                 //必須フィールド
                 $result = false;
@@ -165,6 +166,7 @@
         $result = true;
         foreach ($arrCSVFrame as $key => $val) {
-            if($val['status'] != CSV_COLUMN_STATUS_FLG_ENABLE
-                    and $val['rw_flg'] == CSV_COLUMN_RW_FLG_KEY_FIELD) {
+            if ($val['status'] != CSV_COLUMN_STATUS_FLG_ENABLE
+                && $val['rw_flg'] == CSV_COLUMN_RW_FLG_KEY_FIELD
+            ) {
                 //キーフィールド
                 $result = false;
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php	(revision 21527)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Mail.php	(revision 21684)
@@ -408,5 +408,7 @@
         // 現在の配信数
         $complete_count = $arrMail['complete_count'];
-        if(SC_Utils_Ex::isBlank($arrMail)) $complete_count = 0;
+        if (SC_Utils_Ex::isBlank($arrMail)) {
+            $complete_count = 0;
+        }
 
         foreach ($arrDestinationList as $arrDestination) {
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 21623)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 21684)
@@ -71,5 +71,5 @@
 
         // テーブルが無ければエラー
-        if(!in_array($table_name, $objQuery->listTables())) return false;
+        if (!in_array($table_name, $objQuery->listTables())) return false;
 
         // 正常に接続されている場合
@@ -1064,8 +1064,8 @@
 
         //入れ替え先の順位が入れ換え元の順位より大きい場合
-        if($position > $rank) $term = 'rank - 1';
+        if ($position > $rank) $term = 'rank - 1';
 
         //入れ替え先の順位が入れ換え元の順位より小さい場合
-        if($position < $rank) $term = 'rank + 1';
+        if ($position < $rank) $term = 'rank + 1';
 
         // XXX 入れ替え先の順位が入れ替え元の順位と同じ場合
@@ -1078,6 +1078,6 @@
         }
 
-        if($position > $rank) $objQuery->exec($sql, array($rank + 1, $position));
-        if($position < $rank) $objQuery->exec($sql, array($position, $rank - 1));
+        if ($position > $rank) $objQuery->exec($sql, array($rank + 1, $position));
+        if ($position < $rank) $objQuery->exec($sql, array($position, $rank - 1));
 
         // 指定した順位へrankを書き換える。
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php	(revision 21593)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php	(revision 21684)
@@ -113,5 +113,7 @@
         }
         // ディレクトリ(ファイル)が存在しない場合は0byteを返す
-        if($bytes == '') $bytes = 0;
+        if ($bytes == '') {
+            $bytes = 0;
+        }
 
         return $bytes;
Index: /branches/version-2_12-dev/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 21515)
+++ /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 21684)
@@ -314,5 +314,7 @@
 
             // その他支払い情報を表示
-            if($this->arrDisp['memo02'] != '') $this->arrDisp['payment_info'] = unserialize($this->arrDisp['memo02']);
+            if ($this->arrDisp['memo02'] != '') {
+                $this->arrDisp['payment_info'] = unserialize($this->arrDisp['memo02']);
+            }
             $this->arrDisp['payment_type'] = 'お支払い';
         }
Index: /branches/version-2_12-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Product.php	(revision 21646)
+++ /branches/version-2_12-dev/data/class/SC_Product.php	(revision 21684)
@@ -471,5 +471,5 @@
         $objQuery->delete('dtb_product_status', 'product_id = ?', array($productId));
         foreach ($productStatusIds as $productStatusId) {
-            if($productStatusId == '') continue;
+            if ($productStatusId == '') continue;
             $val['product_status_id'] = $productStatusId;
             $objQuery->insert('dtb_product_status', $val);
Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 21591)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 21684)
@@ -109,5 +109,5 @@
         $this->arrErr = SC_Helper_Customer_Ex::sfCheckErrorSearchParam($objFormParam);
         $this->arrForm = $objFormParam->getFormParamList();
-        if(!SC_Utils_Ex::isBlank($this->arrErr)) return;
+        if (!SC_Utils_Ex::isBlank($this->arrErr)) return;
 
         // モードによる処理切り替え
@@ -131,5 +131,7 @@
                     $this->lfGetTemplateData($objFormParam, $_POST['template_id']);
                     // regist_back時、subject,bodyにはテンプレートを読み込むのではなく、入力内容で上書き
-                    if($this->getMode()=='regist_back') $objFormParam->setParam($_POST);
+                    if ($this->getMode()=='regist_back') {
+                        $objFormParam->setParam($_POST);
+                    }
                 }
                 break;
@@ -279,5 +281,7 @@
         $emailtype='email';
         $searchmailtype = $objFormParam->getValue('search_mail_type');
-        if($searchmailtype==2||$searchmailtype==4)$emailtype='email_mobile';
+        if ($searchmailtype==2 || $searchmailtype==4) {
+            $emailtype='email_mobile';
+        }
         if (is_array($arrSendCustomer)) {
             foreach ($arrSendCustomer as $line) {
Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 21591)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 21684)
@@ -114,5 +114,7 @@
 
         // 引数の初期化
-        if(SC_Utils_Ex::sfIsInt($search_pageno)===false) $search_pageno = 1;
+        if (SC_Utils_Ex::sfIsInt($search_pageno)===false) {
+            $search_pageno = 1;
+        }
         // 
         $objSelect =& SC_Query_Ex::getSingletonInstance();    // 一覧データ取得用
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21591)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21684)
@@ -289,5 +289,5 @@
         // CSV項目毎の処理
         foreach ($arrCSVFrame as $item) {
-            if($item['status'] == CSV_COLUMN_STATUS_FLG_DISABLE) continue;
+            if ($item['status'] == CSV_COLUMN_STATUS_FLG_DISABLE) continue;
             //サブクエリ構造の場合は AS名 を使用
             if (preg_match_all('/\(.+\) as (.+)$/i', $item['col'], $match, PREG_SET_ORDER)) {
@@ -461,14 +461,15 @@
         */
         // 親カテゴリIDの存在チェック
-        if(array_search('parent_category_id', $this->arrFormKeyList) !== FALSE
-                and $item['parent_category_id'] != ''
-                and $item['parent_category_id'] != '0'
-                and !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', array($item['parent_category_id']))
-                ) {
+        if (array_search('parent_category_id', $this->arrFormKeyList) !== FALSE
+            && $item['parent_category_id'] != ''
+            && $item['parent_category_id'] != '0'
+            && !SC_Helper_DB_Ex::sfIsRecord('dtb_category', 'category_id', array($item['parent_category_id']))
+        ) {
             $arrErr['parent_category_id'] = '※ 指定の親カテゴリID(' . $item['parent_category_id'] . ')は、存在しません。';
         }
         // 削除フラグのチェック
-        if(array_search('del_flg', $this->arrFormKeyList) !== FALSE
-                and $item['del_flg'] != '') {
+        if (array_search('del_flg', $this->arrFormKeyList) !== FALSE
+            && $item['del_flg'] != ''
+        ) {
             if (!($item['del_flg'] == '0' or $item['del_flg'] == '1')) {
                 $arrErr['del_flg'] = '※ 削除フラグは「0」(有効)、「1」(削除)のみが有効な値です。';
@@ -476,6 +477,7 @@
         }
         // 重複チェック 同じカテゴリ内に同名の存在は許可されない
-        if(array_search('category_name', $this->arrFormKeyList) !== FALSE
-                and $item['category_name'] != '') {
+        if (array_search('category_name', $this->arrFormKeyList) !== FALSE
+            && $item['category_name'] != ''
+        ) {
             $parent_category_id = $item['parent_category_id'];
             if ($parent_category_id == '') {
@@ -589,8 +591,8 @@
      */
     function lfIsDbRecord($table, $keyname, $item) {
-        if(array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
-                and $item[$keyname] != ''   // 空ではない
-                and !SC_Helper_DB_EX::sfIsRecord($table, $keyname, (array)$item[$keyname]) //DBに存在するか
-                ) {
+        if (array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
+            && $item[$keyname] != ''   // 空ではない
+            && !SC_Helper_DB_EX::sfIsRecord($table, $keyname, (array)$item[$keyname]) //DBに存在するか
+        ) {
             return false;
         }
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 21667)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 21684)
@@ -703,8 +703,11 @@
             $to_h = $objUpFile->height[$arrImageKey[$to_key]];
 
-            if($forced) $objUpFile->save_file[$arrImageKey[$to_key]] = '';
-
-            if(empty($objUpFile->temp_file[$arrImageKey[$to_key]])
-                    && empty($objUpFile->save_file[$arrImageKey[$to_key]])) {
+            if ($forced) {
+                $objUpFile->save_file[$arrImageKey[$to_key]] = '';
+            }
+
+            if (empty($objUpFile->temp_file[$arrImageKey[$to_key]])
+                && empty($objUpFile->save_file[$arrImageKey[$to_key]])
+            ) {
                 // リネームする際は、自動生成される画像名に一意となるように、Suffixを付ける
                 $dst_file = $objUpFile->lfGetTmpImageName(IMAGE_RENAME, '', $objUpFile->temp_file[$arrImageKey[$from_key]]) . $this->lfGetAddSuffix($to_key);
@@ -729,5 +732,5 @@
 
         foreach ($arrKeyName as $key => $keyname) {
-            if($keyname != $image_key) continue;
+            if ($keyname != $image_key) continue;
 
             if (!empty($arrTempFile[$key])) {
@@ -767,7 +770,8 @@
                 $objImage->moveTempImage($temp_file, $objUpFile->save_dir);
                 $arrImageKey[] = $arrKeyName[$key];
-                if(!empty($arrSaveFile[$key])
-                        && !$this->lfHasSameProductImage($product_id, $arrImageKey, $arrSaveFile[$key])
-                        && !in_array($temp_file, $arrSaveFile)) {
+                if (!empty($arrSaveFile[$key])
+                    && !$this->lfHasSameProductImage($product_id, $arrImageKey, $arrSaveFile[$key])
+                    && !in_array($temp_file, $arrSaveFile)
+                ) {
                     $objImage->deleteImage($arrSaveFile[$key], $objUpFile->save_dir);
                 }
@@ -1265,5 +1269,5 @@
      */
     function lfGetAddSuffix($to_key) {
-        if( IMAGE_RENAME === true) return ;
+        if ( IMAGE_RENAME === true) return;
 
         // 自動生成される画像名
@@ -1295,10 +1299,11 @@
 
         for ($i = 1; $i <= PRODUCTSUB_MAX; $i++) {
-            if(SC_Utils_Ex::isBlank($arrSubProductData['sub_title'.$i]) == false
-                    || SC_Utils_Ex::isBlank($arrSubProductData['sub_comment'.$i]) == false
-                    || SC_Utils_Ex::isBlank($arrSubProductData['sub_image'.$i]) == false
-                    || SC_Utils_Ex::isBlank($arrSubProductData['sub_large_image'.$i]) == false
-                    || SC_Utils_Ex::isBlank($arrSubProductData['temp_sub_image'.$i]) == false
-                    || SC_Utils_Ex::isBlank($arrSubProductData['temp_sub_large_image'.$i]) == false) {
+            if (SC_Utils_Ex::isBlank($arrSubProductData['sub_title'.$i]) == false
+                || SC_Utils_Ex::isBlank($arrSubProductData['sub_comment'.$i]) == false
+                || SC_Utils_Ex::isBlank($arrSubProductData['sub_image'.$i]) == false
+                || SC_Utils_Ex::isBlank($arrSubProductData['sub_large_image'.$i]) == false
+                || SC_Utils_Ex::isBlank($arrSubProductData['temp_sub_image'.$i]) == false
+                || SC_Utils_Ex::isBlank($arrSubProductData['temp_sub_large_image'.$i]) == false
+            ) {
                 $has_subproduct_data = true;
                 break;
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 21591)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 21684)
@@ -127,5 +127,5 @@
         /* 入力エラーなし */
         foreach ($this->arrForm AS $key=>$val) {
-            if($val == '') continue;
+            if ($val == '') continue;
 
             switch ($key) {
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21668)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSV.php	(revision 21684)
@@ -308,5 +308,5 @@
         // CSV項目毎の処理
         foreach ($arrCSVFrame as $item) {
-            if($item['status'] == CSV_COLUMN_STATUS_FLG_DISABLE) continue;
+            if ($item['status'] == CSV_COLUMN_STATUS_FLG_DISABLE) continue;
             //サブクエリ構造の場合は AS名 を使用
             if (preg_match_all('/\(.+\)\s+as\s+(.+)$/i', $item['col'], $match, PREG_SET_ORDER)) {
@@ -622,11 +622,13 @@
         }
         // 商品ID、規格IDの組合せチェック
-        if(array_search('product_class_id', $this->arrFormKeyList) !== FALSE
-                and $item['product_class_id'] != '') {
+        if (array_search('product_class_id', $this->arrFormKeyList) !== FALSE
+            && $item['product_class_id'] != ''
+        ) {
             if ($item['product_id'] == '') {
                 $arrErr['product_class_id'] = '※ 商品規格ID指定時には商品IDの指定が必須です。';
             } else {
-                if(!$this->objDb->sfIsRecord('dtb_products_class', 'product_id, product_class_id'
-                        , array($item['product_id'], $item['product_class_id']))) {
+                if (!$this->objDb->sfIsRecord('dtb_products_class', 'product_id, product_class_id'
+                        , array($item['product_id'], $item['product_class_id']))
+                ) {
                     $arrErr['product_class_id'] = '※ 指定の商品IDと商品規格IDの組合せは正しくありません。';
                 }
@@ -651,7 +653,8 @@
         // 関連商品IDの存在チェック
         for ($i = 1; $i <= RECOMMEND_PRODUCT_MAX; $i++) {
-            if(array_search('recommend_product_id' . $i, $this->arrFormKeyList) !== FALSE
-                    and $item['recommend_product_id' . $i] != ''
-                    and !$this->objDb->sfIsRecord('dtb_products', 'product_id', (array)$item['recommend_product_id' . $i])) {
+            if (array_search('recommend_product_id' . $i, $this->arrFormKeyList) !== FALSE
+                && $item['recommend_product_id' . $i] != ''
+                && !$this->objDb->sfIsRecord('dtb_products', 'product_id', (array)$item['recommend_product_id' . $i])
+            ) {
                 $arrErr['recommend_product_id' . $i] = "※ 指定の関連商品ID($i)は、登録されていません。";
             }
@@ -666,6 +669,7 @@
         }
         // 削除フラグのチェック
-        if(array_search('del_flg', $this->arrFormKeyList) !== FALSE
-                and $item['del_flg'] != '') {
+        if (array_search('del_flg', $this->arrFormKeyList) !== FALSE
+            && $item['del_flg'] != ''
+        ) {
             if (!($item['del_flg'] == '0' or $item['del_flg'] == '1')) {
                 $arrErr['del_flg'] = '※ 削除フラグは「0」(有効)、「1」(削除)のみが有効な値です。';
@@ -799,8 +803,8 @@
      */
     function lfIsDbRecord($table, $keyname, $item) {
-        if(array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
-                and $item[$keyname] != ''   // 空ではない
-                and !$this->objDb->sfIsRecord($table, $keyname, (array)$item[$keyname]) //DBに存在するか
-                ) {
+        if (array_search($keyname, $this->arrFormKeyList) !== FALSE  //入力対象である
+            && $item[$keyname] != ''   // 空ではない
+            && !$this->objDb->sfIsRecord($table, $keyname, (array)$item[$keyname]) //DBに存在するか
+        ) {
             return false;
         }
@@ -817,8 +821,8 @@
      */
     function lfIsArrayRecord($arr, $keyname, $item) {
-        if(array_search($keyname, $this->arrFormKeyList) !== FALSE //入力対象である
-                and $item[$keyname] != '' // 空ではない
-                and !array_key_exists($item[$keyname], $arr) //配列に存在するか
-                ) {
+        if (array_search($keyname, $this->arrFormKeyList) !== FALSE //入力対象である
+            && $item[$keyname] != '' // 空ではない
+            && !array_key_exists($item[$keyname], $arr) //配列に存在するか
+        ) {
             return false;
         }
Index: /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21683)
+++ /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21684)
@@ -409,7 +409,11 @@
         SC_Utils_Ex::deleteFile($temp_dir, false);
         // DBからプラグイン情報を削除
-        if(empty($plugin_id) === false) SC_Plugin_Util_Ex::deletePluginByPluginId($plugin_id);
+        if (empty($plugin_id) === false) {
+            SC_Plugin_Util_Ex::deletePluginByPluginId($plugin_id);
+        }
         // htmlディレクトリを削除
-        if(empty($plugin_html_dir) === false) SC_Utils_Ex::deleteFile($plugin_html_dir, true);
+        if (empty($plugin_html_dir) === false) {
+            SC_Utils_Ex::deleteFile($plugin_html_dir, true);
+        }
     }
 
@@ -675,8 +679,12 @@
         // AUTHOR_SITE_URLが定義されているか判定.
         $author_site_url = $objReflection->getConstant('AUTHOR_SITE_URL');
-        if($author_site_url !== false) $arr_sqlval_plugin['author_site_url'] = $author_site_url;
+        if ($author_site_url !== false) {
+            $arr_sqlval_plugin['author_site_url'] = $author_site_url;
+        }
         // PLUGIN_SITE_URLが定義されているか判定.
         $plugin_site_url = $objReflection->getConstant('PLUGIN_SITE_URL');
-        if($plugin_site_url !== false) $arr_sqlval_plugin['plugin_site_url'] = $plugin_site_url;
+        if ($plugin_site_url !== false) {
+            $arr_sqlval_plugin['plugin_site_url'] = $plugin_site_url;
+        }
         $arr_sqlval_plugin['plugin_version'] = $objReflection->getConstant('PLUGIN_VERSION');
         $arr_sqlval_plugin['compliant_version'] = $objReflection->getConstant('COMPLIANT_VERSION');
@@ -818,5 +826,5 @@
         $arrayFile = $tar_obj->listContent();
         foreach ($arrayFile as  $value) {
-            if($value['filename'] === $file_path) return true;
+            if ($value['filename'] === $file_path) return true;
         }
         return false;
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 21593)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 21684)
@@ -489,5 +489,7 @@
         $top_dir_check = ereg_replace("/$", '', $objFormParam->getValue('top_dir'));
         $now_dir_check = ereg_replace("/$", '', $objFormParam->getValue('now_dir'));
-        if($top_dir_check == $now_dir_check) $is_top_dir = true;
+        if ($top_dir_check == $now_dir_check) {
+            $is_top_dir = true;
+        }
         $this->setDispParam('tpl_is_top_dir', $is_top_dir);
     }
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 21592)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 21684)
@@ -347,6 +347,7 @@
     function lfGetSqlData(&$objFormParam) {
         // 編集中データがある場合
-        if(!SC_Utils_Ex::isBlank($objFormParam->getValue('sql_name'))
-                or !SC_Utils_Ex::isBlank($objFormParam->getValue('csv_sql'))) {
+        if (!SC_Utils_Ex::isBlank($objFormParam->getValue('sql_name'))
+            || !SC_Utils_Ex::isBlank($objFormParam->getValue('csv_sql'))
+        ) {
             return $objFormParam->getHashArray();
         }
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php	(revision 21592)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_PaymentInput.php	(revision 21684)
@@ -261,5 +261,7 @@
 
         // 手数料を設定できない場合には、手数料を0にする
-        if($arrPaymentData['charge_flg'] == 2) $objFormParam->setValue('charge', '0');
+        if ($arrPaymentData['charge_flg'] == 2) {
+            $objFormParam->setValue('charge', '0');
+        }
 
         // 入力データを渡す。
Index: /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21683)
+++ /branches/version-2_12-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 21684)
@@ -350,8 +350,10 @@
         }
 
-        if(!SC_Utils_Ex::sfIsInt($product_id)
+        if (!SC_Utils_Ex::sfIsInt($product_id)
             || SC_Utils_Ex::sfIsZeroFilling($product_id)
-            || !SC_Helper_DB_Ex::sfIsRecord('dtb_products', 'product_id', (array)$product_id, $where))
-            SC_Utils_Ex::sfDispSiteError(PRODUCT_NOT_FOUND);
+            || !SC_Helper_DB_Ex::sfIsRecord('dtb_products', 'product_id', (array)$product_id, $where)
+        ) {
+                SC_Utils_Ex::sfDispSiteError(PRODUCT_NOT_FOUND);
+        }
         return $product_id;
     }
Index: /branches/version-2_12-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Customer.php	(revision 21593)
+++ /branches/version-2_12-dev/data/class/SC_Customer.php	(revision 21684)
@@ -114,6 +114,7 @@
         //docomo用にデータを取り出す。
         if (SC_MobileUserAgent_Ex::getCarrier() == 'docomo') {
-            if($_SESSION['mobile']['phone_id'] == '' && strlen($_SESSION['mobile']['phone_id']) == 0)
+            if ($_SESSION['mobile']['phone_id'] == '' && strlen($_SESSION['mobile']['phone_id']) == 0) {
                 $_SESSION['mobile']['phone_id'] = SC_MobileUserAgent_Ex::getId();
+            }
         }
         if (!isset($_SESSION['mobile']['phone_id']) || $_SESSION['mobile']['phone_id'] === false) {
@@ -138,6 +139,7 @@
         //docomo用にデータを取り出す。
         if (SC_MobileUserAgent_Ex::getCarrier() == 'docomo') {
-            if($_SESSION['mobile']['phone_id'] == '' && strlen($_SESSION['mobile']['phone_id']) == 0)
+            if ($_SESSION['mobile']['phone_id'] == '' && strlen($_SESSION['mobile']['phone_id']) == 0) {
                 $_SESSION['mobile']['phone_id'] = SC_MobileUserAgent_Ex::getId();
+            }
         }
         if (!isset($_SESSION['mobile']['phone_id']) || $_SESSION['mobile']['phone_id'] === false) {
@@ -226,7 +228,7 @@
     function isLoginSuccess($dont_check_email_mobile = false) {
         // ログイン時のメールアドレスとDBのメールアドレスが一致している場合
-        if(isset($_SESSION['customer']['customer_id'])
-            && SC_Utils_Ex::sfIsInt($_SESSION['customer']['customer_id'])) {
-
+        if (isset($_SESSION['customer']['customer_id'])
+            && SC_Utils_Ex::sfIsInt($_SESSION['customer']['customer_id'])
+        ) {
             $objQuery = new SC_Query_Ex();
             $email = $objQuery->get('email', 'dtb_customer', 'customer_id = ?', array($_SESSION['customer']['customer_id']));
Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21674)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21684)
@@ -998,5 +998,5 @@
     function sfArrCombine($arrKeys, $arrValues) {
 
-        if(count($arrKeys) <= 0 and count($arrValues) <= 0) return array();
+        if (count($arrKeys) <= 0 and count($arrValues) <= 0) return array();
 
         $keys = array_values($arrKeys);
@@ -1008,5 +1008,5 @@
             $combine_ary[$keys[$i]] = $vals[$i];
         }
-        if(is_array($combine_ary)) return $combine_ary;
+        if (is_array($combine_ary)) return $combine_ary;
 
         return false;
@@ -1386,5 +1386,7 @@
         }
         // ディレクトリ(ファイル)が存在しない場合は0byteを返す
-        if($bytes == '') $bytes = 0;
+        if ($bytes == '') {
+            $bytes = 0;
+        }
 
         return $bytes;