Index: branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 21591)
+++ branches/version-2_12-dev/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 21687)
@@ -74,5 +74,29 @@
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance();
         $objPlugin->doAction('lc_page_admin_order_mail_action_start', array($this));
-
+        
+        //一括送信用の処理
+        if(array_key_exists("mail_order_id",$_POST) and $_POST['mode'] == 'mail_select'){
+            $_POST['order_id_array'] = implode(",",$_POST['mail_order_id']);
+        }else if(!array_key_exists("order_id_array",$_POST)){
+            $_POST['order_id_array'] = $_POST['order_id'];
+        }
+        
+        
+        //一括送信処理変数チェック(ここですべきかは課題)
+        if(preg_match("/^[0-9|\,]*$/",$_POST['order_id_array'])){
+            $this->order_id_array = $_POST['order_id_array'];
+        }else{
+            //エラーで元に戻す
+            SC_Response_Ex::sendRedirect(ADMIN_ORDER_URLPATH);
+            exit;
+        }
+        
+        //メール本文の確認例は初めの1受注とする
+        if($this->order_id_array){
+            $order_id_array = split(",",$this->order_id_array);
+            $_POST['order_id'] = intval($order_id_array[0]);
+            $this->order_id_count = count($order_id_array);
+        }
+        
         // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
@@ -90,4 +114,5 @@
         switch ($this->getMode()) {
             case 'pre_edit':
+            case 'mail_select':
                 break;
             case 'return':
@@ -154,14 +179,17 @@
     function doSend(&$objFormParam) {
         $arrErr = $objFormParam->checkerror();
-
+        
         // メールの送信
         if (count($arrErr) == 0) {
-            // 注文受付メール
-            $objMail = new SC_Helper_Mail_Ex();
-            $objSendMail = $objMail->sfSendOrderMail($objFormParam->getValue('order_id'),
-            $objFormParam->getValue('template_id'),
-            $objFormParam->getValue('subject'),
-            $objFormParam->getValue('header'),
-            $objFormParam->getValue('footer'));
+            // 注文受付メール(複数受注ID対応)
+            $order_id_array = explode(",",$this->order_id_array);
+            foreach($order_id_array as $order_id){
+                $objMail = new SC_Helper_Mail_Ex();
+                $objSendMail = $objMail->sfSendOrderMail($order_id,
+                $objFormParam->getValue('template_id'),
+                $objFormParam->getValue('subject'),
+                $objFormParam->getValue('header'),
+                $objFormParam->getValue('footer'));
+            }
             // TODO $SC_SendMail から送信がちゃんと出来たか確認できたら素敵。
             return true;
@@ -236,6 +264,4 @@
         // 検索条件のパラメーターを初期化
         parent::lfInitParam($objFormParam);
-
-        $objFormParam->addParam('オーダーID', 'order_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('テンプレート', 'template_id', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
         $objFormParam->addParam('メールタイトル', 'subject', STEXT_LEN, 'KVa',  array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'SPTAB_CHECK'));
Index: branches/version-2_12-dev/data/Smarty/templates/admin/order/mail_confirm.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/admin/order/mail_confirm.tpl	(revision 21539)
+++ branches/version-2_12-dev/data/Smarty/templates/admin/order/mail_confirm.tpl	(revision 21687)
@@ -26,5 +26,5 @@
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
 <input type="hidden" name="mode" value="send" />
-<input type="hidden" name="order_id" value="<!--{$tpl_order_id}-->" />
+<input type="hidden" name="order_id_array" value="<!--{$order_id_array}-->" />
 <!--{foreach key=key item=item from=$arrHidden}-->
 <input type="hidden" name="<!--{$key}-->" value="<!--{$item|h}-->" />
@@ -41,5 +41,9 @@
 <div id="order" class="contents-main">
     <h2>メール配信</h2>
-
+    
+    
+    <!--{if $order_id_count != 1}-->
+    <span class="red">※本文は1通分の例です。受注情報は各メールごとに異なります</span><br /><br />
+    <!--{/if}-->
     <table class="form">
         <tr>
Index: branches/version-2_12-dev/data/Smarty/templates/admin/order/mail.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/admin/order/mail.tpl	(revision 21539)
+++ branches/version-2_12-dev/data/Smarty/templates/admin/order/mail.tpl	(revision 21687)
@@ -26,5 +26,5 @@
 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
 <input type="hidden" name="mode" value="confirm" />
-<input type="hidden" name="order_id" value="<!--{$tpl_order_id}-->" />
+<input type="hidden" name="order_id_array" value="<!--{$order_id_array}-->" />
 <!--{foreach key=key item=item from=$arrSearchHidden}-->
     <!--{if is_array($item)}-->
@@ -38,4 +38,6 @@
 <div id="order" class="contents-main">
     <h2>メール配信</h2>
+    
+    <!--{if $order_id_count == 1}-->
     <table class="list">
         <tr>
@@ -53,4 +55,5 @@
         <!--{/section}-->
     </table>
+    <!--{/if}-->
 
     <table class="form">
Index: branches/version-2_12-dev/data/Smarty/templates/admin/order/index.tpl
===================================================================
--- branches/version-2_12-dev/data/Smarty/templates/admin/order/index.tpl	(revision 21539)
+++ branches/version-2_12-dev/data/Smarty/templates/admin/order/index.tpl	(revision 21687)
@@ -76,4 +76,40 @@
         fm.action = tmpAction;
     }
+    
+    
+    function fnSelectMailCheckSubmit(action){
+
+        var fm = document.form1;
+
+        if (!fm["mail_order_id[]"]) {
+            return false;
+        }
+
+        var checkflag = false;
+        var max = fm["mail_order_id[]"].length;
+
+        if (max) {
+            for (var i=0; i<max; i++) {
+                if(fm["mail_order_id[]"][i].checked == true){
+                    checkflag = true;
+                }
+            }
+        } else {
+            if(fm["mail_order_id[]"].checked == true) {
+                checkflag = true;
+            }
+        }
+
+        if(!checkflag){
+            alert('チェックボックスが選択されていません');
+            return false;
+        }
+        
+        fm.mode.value="mail_select";
+        fm.action=action;
+        fm.submit();
+    }
+
+
 //-->
 </script>
@@ -305,4 +341,5 @@
         <a class="btn-normal" href="../contents/csv.php?tpl_subno_csv=order">CSV 出力項目設定</a>
         <a class="btn-normal" href="javascript:;" onclick="fnSelectCheckSubmit('pdf.php'); return false;"><span>PDF一括出力</span></a>
+        <a class="btn-normal" href="javascript:;" onclick="fnSelectMailCheckSubmit('mail.php'); return false;"><span>メール一括通知</span></a>
     </div>
     <!--{if count($arrResults) > 0}-->
@@ -313,7 +350,7 @@
         <table class="list">
         <col width="10%" />
-        <col width="10%" />
+        <col width="8%" />
         <col width="15%" />
-        <col width="10%" />
+        <col width="8%" />
         <col width="10%" />
         <col width="10%" />
@@ -321,5 +358,5 @@
         <col width="10%" />
         <col width="5%" />
-        <col width="5%" />
+        <col width="9%" />
         <col width="5%" />
         <!--{* ペイジェントモジュール連携用 *}-->
@@ -338,5 +375,5 @@
             <th><label for="pdf_check">帳票</label> <input type="checkbox" name="pdf_check" id="pdf_check" onclick="fnAllCheck(this, 'input[name=pdf_order_id[]]')" /></th>
             <th>編集</th>
-            <th>メール</th>
+            <th>メール <input type="checkbox" name="mail_check" id="mail_check" onclick="fnAllCheck(this, 'input[name=mail_order_id[]]')" /></th>
             <th>削除</th>
         </tr>
@@ -360,5 +397,6 @@
             <td class="center">
                 <!--{if $arrResults[cnt].order_email|strlen >= 1}-->
-                    <a href="?" onclick="fnChangeAction('<!--{$smarty.const.ADMIN_ORDER_MAIL_URLPATH}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_mail">通知</span></a>
+                    <input type="checkbox" name="mail_order_id[]" value="<!--{$arrResults[cnt].order_id}-->" id="mail_order_id_<!--{$arrResults[cnt].order_id}-->"/><label for="mail_order_id_<!--{$arrResults[cnt].order_id}-->">一括通知</label><br>
+                    <a href="?" onclick="fnChangeAction('<!--{$smarty.const.ADMIN_ORDER_MAIL_URLPATH}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_mail">個別通知</span></a>
                 <!--{/if}-->
             </td>