Index: /branches/version-2_12-dev/data/Smarty/templates/default/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/shopping/deliv.tpl	(revision 21704)
@@ -46,5 +46,5 @@
         <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
             <p class="addbtn">
-                <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->','new_deiv','600','640'); return false;" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address_on.jpg','addition');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg','addition');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg" alt="新しいお届け先を追加する" name="addition" id="addition" /></a>
+                <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address_on.jpg','addition');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg','addition');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg" alt="新しいお届け先を追加する" name="addition" id="addition" /></a>
             </p>
         <!--{/if}-->
@@ -96,5 +96,5 @@
                     <td class="alignC">
                         <!--{if !$smarty.section.cnt.first}-->
-                            <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->&amp;other_deliv_id=<!--{$arrAddr[cnt].other_deliv_id}-->','new_deiv','600','640'); return false;">変更</a>
+                            <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->&amp;other_deliv_id=<!--{$arrAddr[cnt].other_deliv_id}-->','new_deiv','600','640'); return false;">変更</a>
                             <!--{else}-->
                                 -
Index: /branches/version-2_12-dev/data/Smarty/templates/default/shopping/multiple.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/shopping/multiple.tpl	(revision 21704)
@@ -45,5 +45,5 @@
         <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
             <p class="addbtn">
-                <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->','new_deiv','600','640'); return false;" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address_on.jpg','addition');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg','addition');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg" alt="新しいお届け先を追加する" name="addition" id="addition" /></a>
+                <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;" onmouseover="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address_on.jpg','addition');" onmouseout="chgImg('<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg','addition');"><img src="<!--{$TPL_URLPATH}-->img/button/btn_add_address.jpg" alt="新しいお届け先を追加する" name="addition" id="addition" /></a>
             </p>
         <!--{/if}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 21537)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 21704)
@@ -53,8 +53,8 @@
         <!--{if !$smarty.section.cnt.first}-->
             <!--{* リンクにした方がすっきりしますが、お届け先削除処理がother_deliv_idをPOSTしか受け付けていないので、ボタンで統一しています *}-->
-            <!--{* <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->&amp;other_deliv_id=<!--{$arrAddr[cnt].other_deliv_id}-->&amp;uniqid=<!--{$tpl_uniqid}-->">変更</a> *}-->
+            <!--{* <a href="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->&amp;other_deliv_id=<!--{$arrAddr[cnt].other_deliv_id}-->&amp;uniqid=<!--{$tpl_uniqid}-->">変更</a> *}-->
             <form method="get" action="<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php">
                 <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->">
-                <input type="hidden" name="page" value="<!--{$smarty.server.PHP_SELF|h}-->">
+                <input type="hidden" name="page" value="<!--{$smarty.server.SCRIPT_NAME|h}-->">
                 <input type="hidden" name="other_deliv_id" value="<!--{$arrAddr[cnt].other_deliv_id}-->">
                 <center><input type="submit" value="お届け先情報変更"></center>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/deliv.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21688)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/deliv.tpl	(revision 21704)
@@ -70,5 +70,5 @@
                                 </p>
                                 <ul class="edit">
-                                    <li><a rel="external" href="javascript:void(0);" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->&amp;other_deliv_id=<!--{$arrAddr[cnt].other_deliv_id}-->','new_deiv','600','640'); return false;" class="b_edit">編集</a></li>
+                                    <li><a rel="external" href="javascript:void(0);" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->&amp;other_deliv_id=<!--{$arrAddr[cnt].other_deliv_id}-->','new_deiv','600','640'); return false;" class="b_edit">編集</a></li>
                                     <li><img src="<!--{$TPL_URLPATH}-->img/button/btn_delete.png" width="21" height="20" alt="削除" onclick="fnModeSubmit('delete', 'other_deliv_id', '<!--{$arrAddr[cnt].other_deliv_id}-->');" /></li>
                                 </ul>
@@ -85,5 +85,5 @@
                 <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
                     <div class="inner">
-                        <a rel="external" href="javascript:void(0);" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->','new_deiv','600','640'); return false;" class="btn_sub addbtn">新しいお届け先を追加</a>
+                        <a rel="external" href="javascript:void(0);" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;" class="btn_sub addbtn">新しいお届け先を追加</a>
                     </div>
                 <!--{/if}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/multiple.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/shopping/multiple.tpl	(revision 21704)
@@ -35,5 +35,5 @@
     <!--{if $tpl_addrmax < $smarty.const.DELIV_ADDR_MAX}-->
         <div class="btn_area_top">
-            <a rel="external" href="javascript:void(0);" class="btn_sub addbtn" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.PHP_SELF|h}-->','new_deiv','600','640'); return false;">新しいお届け先を追加</a>
+            <a rel="external" href="javascript:void(0);" class="btn_sub addbtn" onclick="win02('<!--{$smarty.const.ROOT_URLPATH}-->mypage/delivery_addr.php?page=<!--{$smarty.server.SCRIPT_NAME|h}-->','new_deiv','600','640'); return false;">新しいお届け先を追加</a>
         </div>
     <!--{/if}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/login_footer.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/login_footer.tpl	(revision 21533)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/login_footer.tpl	(revision 21704)
@@ -26,5 +26,5 @@
             <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
             <input type="hidden" name="mode" value="logout" />
-            <input type="hidden" name="url" value="<!--{$smarty.server.PHP_SELF|h}-->" />
+            <input type="hidden" name="url" value="<!--{$smarty.server.SCRIPT_NAME|h}-->" />
         </form>
         <p>ようこそ <a rel="external" href="<!--{$smarty.const.HTTPS_URL|sfTrimURL}-->/mypage/login.php" data-transition="slideup"><!--{$tpl_name1|h}--> <!--{$tpl_name2|h}-->さん</a></p>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/login.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/login.tpl	(revision 21533)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/login.tpl	(revision 21704)
@@ -40,4 +40,4 @@
     <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
     <input type="hidden" name="mode" value="logout" />
-    <input type="hidden" name="url" value="<!--{$smarty.server.PHP_SELF|h}-->" />
+    <input type="hidden" name="url" value="<!--{$smarty.server.SCRIPT_NAME|h}-->" />
 </form>
Index: /branches/version-2_12-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Response.php	(revision 21582)
+++ /branches/version-2_12-dev/data/class/SC_Response.php	(revision 21704)
@@ -126,5 +126,5 @@
             }
             $netUrl = new Net_URL($useSsl ? HTTPS_URL : HTTP_URL);
-            $netUrl->path = dirname($_SERVER['PHP_SELF']) . '/' . $location;
+            $netUrl->path = dirname($_SERVER['SCRIPT_NAME']) . '/' . $location;
             $url = $netUrl->getUrl();
         }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 21560)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 21704)
@@ -43,5 +43,5 @@
      * @param LC_Page $objPage LC_Page インスタンス
      * @param boolean $preview プレビュー表示の場合 true
-     * @param string $url ページのURL($_SERVER['PHP_SELF'] の情報)
+     * @param string $url ページのURL($_SERVER['SCRIPT_NAME'] の情報)
      * @param integer $device_type_id 端末種別ID
      * @return void
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_Session.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Session.php	(revision 21638)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_Session.php	(revision 21704)
@@ -218,9 +218,9 @@
         $masterData = new SC_DB_MasterData_Ex();
         $arrExcludes = $masterData->getMasterData('mtb_auth_excludes');
-        if (preg_match('|^' . ROOT_URLPATH . ADMIN_DIR . '|', $_SERVER['PHP_SELF'])) {
+        if (preg_match('|^' . ROOT_URLPATH . ADMIN_DIR . '|', $_SERVER['SCRIPT_NAME'])) {
             $is_auth = true;
 
             foreach ($arrExcludes as $exclude) {
-                if (preg_match('|^' . ROOT_URLPATH . ADMIN_DIR . $exclude . '|', $_SERVER['PHP_SELF'])) {
+                if (preg_match('|^' . ROOT_URLPATH . ADMIN_DIR . $exclude . '|', $_SERVER['SCRIPT_NAME'])) {
                     $is_auth = false;
                     break;
Index: /branches/version-2_12-dev/data/class/SC_Session.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Session.php	(revision 21627)
+++ /branches/version-2_12-dev/data/class/SC_Session.php	(revision 21704)
@@ -68,5 +68,5 @@
         if ($this->cert == CERT_STRING) {
             $masterData = new SC_DB_MasterData_Ex();
-            $admin_path = preg_replace('/\/+/', '/', $_SERVER['PHP_SELF']);
+            $admin_path = preg_replace('/\/+/', '/', $_SERVER['SCRIPT_NAME']);
             $arrPERMISSION = $masterData->getMasterData('mtb_permission');
             if (isset($arrPERMISSION[$admin_path])) {
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 21704)
@@ -118,5 +118,5 @@
         $arrDisableLogout = $masterData->getMasterData('mtb_disable_logout');
 
-        $current_page = $_SERVER['PHP_SELF'];
+        $current_page = $_SERVER['SCRIPT_NAME'];
 
         foreach ($arrDisableLogout as $val) {
Index: /branches/version-2_12-dev/data/class/pages/LC_Page.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page.php	(revision 21704)
@@ -94,10 +94,10 @@
 
         $layout = new SC_Helper_PageLayout_Ex();
-        $layout->sfGetPageLayout($this, false, $_SERVER['PHP_SELF'],
+        $layout->sfGetPageLayout($this, false, $_SERVER['SCRIPT_NAME'],
                                  $this->objDisplay->detectDevice());
 
         // プラグインを実行するかを判定します.
         // プラグイン管理ではプラグインが実行されません
-        if ($_SERVER['PHP_SELF'] === ROOT_URLPATH . ADMIN_DIR . 'system/plugin.php') {
+        if ($_SERVER['SCRIPT_NAME'] === ROOT_URLPATH . ADMIN_DIR . 'system/plugin.php') {
             $this->plugin_activate_flg = false;
         }
Index: /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/admin/LC_Page_Admin.php	(revision 21704)
@@ -67,5 +67,5 @@
         // プラグインを実行するかを判定します.
         // プラグイン管理ではプラグインが実行されません
-        if ($_SERVER['PHP_SELF'] === ROOT_URLPATH . ADMIN_DIR . 'system/plugin.php') {
+        if ($_SERVER['SCRIPT_NAME'] === ROOT_URLPATH . ADMIN_DIR . 'system/plugin.php') {
             $this->plugin_activate_flg = false;
         }
Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21686)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21704)
@@ -39,5 +39,5 @@
         // インストール済みが定義されていない。
         if (!defined('ECCUBE_INSTALL')) {
-            $phpself = $_SERVER['PHP_SELF'];
+            $phpself = $_SERVER['SCRIPT_NAME'];
             if (strpos('/install/', $phpself) === false) {
                 $path = substr($phpself, 0, strpos($phpself, basename($phpself)));
@@ -307,5 +307,5 @@
     /* 1階層上のディレクトリ名を取得する */
     function sfUpDirName() {
-        $path = $_SERVER['PHP_SELF'];
+        $path = $_SERVER['SCRIPT_NAME'];
         $arrVal = explode('/', $path);
         $cnt = count($arrVal);
Index: /branches/version-2_12-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/GC_Utils.php	(revision 21589)
+++ /branches/version-2_12-dev/data/class/util/GC_Utils.php	(revision 21704)
@@ -181,5 +181,5 @@
         }
 
-        $msg = "$today [{$_SERVER['PHP_SELF']}] $msg from {$_SERVER['REMOTE_ADDR']}\n";
+        $msg = "$today [{$_SERVER['SCRIPT_NAME']}] $msg from {$_SERVER['REMOTE_ADDR']}\n";
         if ($verbose) {
             if (GC_Utils_Ex::isFrontFunction()) {
Index: /branches/version-2_12-dev/data/class/SC_SiteSession.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SiteSession.php	(revision 21515)
+++ /branches/version-2_12-dev/data/class/SC_SiteSession.php	(revision 21704)
@@ -36,5 +36,5 @@
                     ? $_SESSION['site']['now_page'] : '';
 
-        $_SESSION['site']['now_page'] = $_SERVER['PHP_SELF'];
+        $_SESSION['site']['now_page'] = $_SERVER['SCRIPT_NAME'];
     }
 