Index: /branches/version-2_12-dev/data/class/SC_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Product.php	(revision 21684)
+++ /branches/version-2_12-dev/data/class/SC_Product.php	(revision 21708)
@@ -35,4 +35,5 @@
     /** 規格分類名一覧 */
     var $arrClassCatName;
+    /** このプロパティが保持する price01 及び price02 は、税金付与した金額である。 */
     var $classCategories = array();
     var $stock_find;
@@ -197,4 +198,7 @@
         }
 
+        // 税込金額を設定する
+        SC_Product_Ex::setIncTaxToProducts($arrProducts);
+
         return $arrProducts;
     }
@@ -208,8 +212,13 @@
     function getDetail($productId) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $result = $objQuery->getRow('*', $this->alldtlSQL('product_id = ?'),
+        $arrProduct = $objQuery->getRow('*', $this->alldtlSQL('product_id = ?'),
                                     'product_id = ?',
                                     array($productId, $productId));
-        return (array)$result;
+        $arrProduct = (array)$arrProduct;
+
+        // 税込金額を設定する
+        SC_Product_Ex::setIncTaxToProduct($arrProduct);
+
+        return $arrProduct;
     }
 
@@ -539,5 +548,5 @@
      */
     function setPriceTaxTo($arrProducts) {
-        foreach ($arrProducts as $key=>$val) {
+        foreach ($arrProducts as $key => $val) {
             $arrProducts[$key]['price01_min_format'] = number_format($arrProducts[$key]['price01_min']);
             $arrProducts[$key]['price01_max_format'] = number_format($arrProducts[$key]['price01_max']);
@@ -556,4 +565,29 @@
         }
         return $arrProducts;
+    }
+
+    /**
+     * 商品情報の配列に税込金額を設定する
+     *
+     * @param array $arrProducts 商品情報の配列
+     * @return void
+     */
+    static function setIncTaxToProducts(&$arrProducts) {
+        foreach ($arrProducts as &$arrProduct) {
+            SC_Product_Ex::setIncTaxToProduct($arrProduct);
+        }
+    }
+
+    /**
+     * 商品情報の配列に税込金額を設定する
+     *
+     * @param array $arrProducts 商品情報の配列
+     * @return void
+     */
+    static function setIncTaxToProduct(&$arrProduct) {
+        $arrProduct['price01_min_inctax'] = isset($arrProduct['price01_min']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price01_min']) : null;
+        $arrProduct['price01_max_inctax'] = isset($arrProduct['price01_max']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price01_max']) : null;
+        $arrProduct['price02_min_inctax'] = isset($arrProduct['price02_min']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price02_min']) : null;
+        $arrProduct['price02_max_inctax'] = isset($arrProduct['price02_max']) ? SC_Helper_DB::sfCalcIncTax($arrProduct['price02_max']) : null;
     }
 
Index: /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss_Products.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/rss/LC_Page_Rss_Products.php	(revision 21708)
@@ -210,7 +210,4 @@
         // 値の整形
         foreach ($arrProduct as $key => $val) {
-            //販売価格を税込みに編集
-            $arrProduct[$key]['price02_max'] = SC_Helper_DB_Ex::sfCalcIncTax($arrProduct[$key]['price02_max']);
-            $arrProduct[$key]['price02_min'] = SC_Helper_DB_Ex::sfCalcIncTax($arrProduct[$key]['price02_min']);
             // 画像ファイルのURLセット
             if (file_exists(IMAGE_SAVE_REALDIR . $arrProduct[$key]['main_list_image'])) {
@@ -300,5 +297,5 @@
         $arrProductLsit = $objProduct->lists($objQuery);
         // 各商品のカテゴリIDとランクの取得
-        $arrProduct = array();
+        $arrProducts = array();
         foreach ($arrProductLsit as $key => $val) {
             $sql = '';
@@ -317,8 +314,12 @@
             $arrCategory = $objQuery->getAll($sql, array($val['product_id']));
             if (!empty($arrCategory)) {
-                $arrProduct[$key] = array_merge($val, $arrCategory[0]);
-            }
-        }
-        return $arrProduct;
+                $arrProducts[$key] = array_merge($val, $arrCategory[0]);
+            }
+        }
+
+        // 税込金額を設定する
+        SC_Product_Ex::setIncTaxToProducts($arrProducts);
+
+        return $arrProducts;
     }
 }
Index: /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 21708)
@@ -160,5 +160,5 @@
         $arrProducts2 = array();
         foreach ($arrProducts as $item) {
-            $arrProducts2[ $item['product_id'] ] = $item;
+            $arrProducts2[$item['product_id']] = $item;
         }
         $arrProductsList = array();
@@ -166,4 +166,7 @@
             $arrProductsList[] = $arrProducts2[$product_id];
         }
+
+        // 税込金額を設定する
+        SC_Product_Ex::setIncTaxToProducts($arrProductsList);
 
         return $arrProductsList;
Index: /branches/version-2_12-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl	(revision 21609)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/frontparts/bloc/recommend.tpl	(revision 21708)
@@ -38,5 +38,5 @@
                             </h3>
                             <p class="sale_price">
-                                <!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)： <span class="price"><!--{$arrProduct.price02_min|sfCalcIncTax|number_format}--> 円</span>
+                                <!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)： <span class="price"><!--{$arrProduct.price02_min_inctax|number_format}--> 円</span>
                             </p>
                             <p class="mini comment"><!--{$arrProduct.comment|h|nl2br}--></p>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/products/detail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/products/detail.tpl	(revision 21609)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/products/detail.tpl	(revision 21708)
@@ -106,13 +106,13 @@
 
             <!--★通常価格★-->
-            <!--{if $arrProduct.price01_max > 0}-->
+            <!--{if $arrProduct.price01_min_inctax > 0}-->
                 <dl class="normal_price">
                     <dt><!--{$smarty.const.NORMAL_PRICE_TITLE}-->(税込)：</dt>
                     <dd class="price">
                         <span id="price01_default"><!--{strip}-->
-                            <!--{if $arrProduct.price01_min == $arrProduct.price01_max}-->
-                                <!--{$arrProduct.price01_min|sfCalcIncTax|number_format}-->
+                            <!--{if $arrProduct.price01_min_inctax == $arrProduct.price01_max_inctax}-->
+                                <!--{$arrProduct.price01_min_inctax|number_format}-->
                             <!--{else}-->
-                                <!--{$arrProduct.price01_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price01_max|sfCalcIncTax|number_format}-->
+                                <!--{$arrProduct.price01_min_inctax|number_format}-->～<!--{$arrProduct.price01_max_inctax|number_format}-->
                             <!--{/if}-->
                         </span><span id="price01_dynamic"></span><!--{/strip}-->
@@ -127,8 +127,8 @@
                 <dd class="price">
                     <span id="price02_default"><!--{strip}-->
-                        <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->
+                        <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+                            <!--{$arrProduct.price02_min_inctax|number_format}-->
                         <!--{else}-->
-                            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->
+                            <!--{$arrProduct.price02_min_inctax|number_format}-->～<!--{$arrProduct.price02_max_inctax|number_format}-->
                         <!--{/if}-->
                     </span><span id="price02_dynamic"></span><!--{/strip}-->
@@ -363,13 +363,13 @@
                             <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrItem.main_list_image|sfNoImageMainList|h}-->&amp;width=65&amp;height=65" alt="<!--{$arrItem.name|h}-->" /></a>
                     </div>
-                    <!--{assign var=price02_min value=`$arrItem.price02_min`}-->
-                    <!--{assign var=price02_max value=`$arrItem.price02_max`}-->
+                    <!--{assign var=price02_min value=`$arrItem.price02_min_inctax`}-->
+                    <!--{assign var=price02_max value=`$arrItem.price02_max_inctax`}-->
                     <div class="productContents">
                         <h3><a href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrItem.product_id|u}-->"><!--{$arrItem.name|h}--></a></h3>
                         <p class="sale_price"><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：<span class="price">
                             <!--{if $price02_min == $price02_max}-->
-                                <!--{$price02_min|sfCalcIncTax|number_format}-->
+                                <!--{$price02_min|number_format}-->
                             <!--{else}-->
-                                <!--{$price02_min|sfCalcIncTax|number_format}-->～<!--{$price02_max|sfCalcIncTax|number_format}-->
+                                <!--{$price02_min|number_format}-->～<!--{$price02_max|number_format}-->
                             <!--{/if}-->円</span></p>
                         <p class="mini"><!--{$arrItem.comment|h|nl2br}--></p>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/products/list.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/products/list.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/products/list.tpl	(revision 21708)
@@ -178,8 +178,8 @@
                     <span class="price">
                         <span id="price02_default_<!--{$id}-->"><!--{strip}-->
-                            <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                                <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->
+                            <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+                                <!--{$arrProduct.price02_min_inctax|number_format}-->
                             <!--{else}-->
-                                <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->
+                                <!--{$arrProduct.price02_min_inctax|number_format}-->～<!--{$arrProduct.price02_max_inctax|number_format}-->
                             <!--{/if}-->
                         </span><span id="price02_dynamic_<!--{$id}-->"></span><!--{/strip}-->
Index: /branches/version-2_12-dev/data/Smarty/templates/default/rss/products.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/rss/products.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/rss/products.tpl	(revision 21708)
@@ -41,8 +41,8 @@
                 <div><!--{$smarty.const.SALE_PRICE_TITLE}-->：
                     <span class="price">
-                        <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->
+                        <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+                            <!--{$arrProduct.price02_min_inctax|number_format}-->
                         <!--{else}-->
-                            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->〜<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->
+                            <!--{$arrProduct.price02_min_inctax|number_format}-->〜<!--{$arrProduct.price02_max_inctax|number_format}-->
                         <!--{/if}-->円</span>
                 </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/mypage/favorite.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mypage/favorite.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mypage/favorite.tpl	(revision 21708)
@@ -67,8 +67,8 @@
                         <td class="alignR sale_price">
                             <span class="price">
-                                <!--{if $arrFavorite[cnt].price02_min == $arrFavorite[cnt].price02_max}-->
-                                    <!--{$arrFavorite[cnt].price02_min|sfCalcIncTax|number_format}-->
+                                <!--{if $arrFavorite[cnt].price02_min_inctax == $arrFavorite[cnt].price02_max_inctax}-->
+                                    <!--{$arrFavorite[cnt].price02_min_inctax|number_format}-->
                                 <!--{else}-->
-                                    <!--{$arrFavorite[cnt].price02_min|sfCalcIncTax|number_format}-->～<!--{$arrFavorite[cnt].price02_max|sfCalcIncTax|number_format}-->
+                                    <!--{$arrFavorite[cnt].price02_min_inctax|number_format}-->～<!--{$arrFavorite[cnt].price02_max_inctax|number_format}-->
                                 <!--{/if}-->円</span>
                         </td>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/products/list.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/products/list.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/products/list.tpl	(revision 21708)
@@ -34,8 +34,8 @@
 
         <!--{$smarty.const.SALE_PRICE_TITLE}-->：
-        <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->円
+        <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+            <!--{$arrProduct.price02_min_inctax|number_format}-->円
         <!--{else}-->
-            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->円～<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->円
+            <!--{$arrProduct.price02_min_inctax|number_format}-->円～<!--{$arrProduct.price02_max_inctax|number_format}-->円
         <!--{/if}-->
         <br>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/products/detail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 21708)
@@ -79,19 +79,19 @@
     <!--★販売価格★-->
     <font color="#FF0000"><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：
-        <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-        	<!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->
+        <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+        	<!--{$arrProduct.price02_min_inctax|number_format}-->
         <!--{else}-->
-        	<!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->
+        	<!--{$arrProduct.price02_min_inctax|number_format}-->～<!--{$arrProduct.price02_max_inctax|number_format}-->
         <!--{/if}-->
         円</font>
     <br>
 
-    <!--{if $arrProduct.price01_max > 0}-->
+    <!--{if $arrProduct.price01_max_inctax > 0}-->
         <!--★通常価格★-->
         <font color="#FF0000"><!--{$smarty.const.NORMAL_PRICE_TITLE}-->(税込)：
-            <!--{if $arrProduct.price01_min == $arrProduct.price01_max}-->
-                <!--{$arrProduct.price01_min|sfCalcIncTax|number_format}-->
+            <!--{if $arrProduct.price01_min_inctax == $arrProduct.price01_max_inctax}-->
+                <!--{$arrProduct.price01_min_inctax|number_format}-->
             <!--{else}-->
-                <!--{$arrProduct.price01_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price01_max|sfCalcIncTax|number_format}-->
+                <!--{$arrProduct.price01_min_inctax|number_format}-->～<!--{$arrProduct.price01_max_inctax|number_format}-->
             <!--{/if}-->
             円</font>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/cart/index.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/cart/index.tpl	(revision 21708)
@@ -104,27 +104,27 @@
                         <!--▼カートの中の商品一覧 -->
                         <div class="cartinarea clearfix">
-                            <!--{foreach from=$cartItems[$key] item=item}-->
+                            <!--{foreach from=$cartItems[$key] item=arrItem}-->
                                 <!--▼商品 -->
                                 <div class="cartitemBox">
-                                    <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$item.productsClass.main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$item.productsClass.name|h}-->" class="photoL" />
+                                    <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrItem.productsClass.main_list_image|sfNoImageMainList|h}-->&amp;width=80&amp;height=80" alt="<!--{$arrItem.productsClass.name|h}-->" class="photoL" />
                                     <div class="cartinContents">
                                         <div>
-                                            <p><em><!--{$item.productsClass.name|h}--></em><br />
-                                                <!--{if $item.productsClass.classcategory_name1 != ""}-->
-                                                    <span class="mini"><!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--></span><br />
+                                            <p><em><!--{$arrItem.productsClass.name|h}--></em><br />
+                                                <!--{if $arrItem.productsClass.classcategory_name1 != ""}-->
+                                                    <span class="mini"><!--{$arrItem.productsClass.class_name1}-->：<!--{$arrItem.productsClass.classcategory_name1}--></span><br />
                                                 <!--{/if}-->
-                                                <!--{if $item.productsClass.classcategory_name2 != ""}-->
-                                                    <span class="mini"><!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}--></span><br />
+                                                <!--{if $arrItem.productsClass.classcategory_name2 != ""}-->
+                                                    <span class="mini"><!--{$arrItem.productsClass.class_name2}-->：<!--{$arrItem.productsClass.classcategory_name2}--></span><br />
                                                 <!--{/if}-->
-                                                <span class="mini">価格:</span><!--{$item.productsClass.price02|sfCalcIncTax|number_format}-->円
+                                                <span class="mini">価格:</span><!--{$arrItem.price|sfCalcIncTax|number_format}-->円
                                             </p>
                                             <p class="btn_delete">
-                                                <img src="<!--{$TPL_URLPATH}-->img/button/btn_delete.png" onClick="fnFormModeSubmit('form<!--{$key}-->', 'delete', 'cart_no', '<!--{$item.cart_no}-->');" class="pointer" width="21" height="20" alt="削除" /></p>
+                                                <img src="<!--{$TPL_URLPATH}-->img/button/btn_delete.png" onClick="fnFormModeSubmit('form<!--{$key}-->', 'delete', 'cart_no', '<!--{$arrItem.cart_no}-->');" class="pointer" width="21" height="20" alt="削除" /></p>
                                         </div>
                                         <ul>
-                                            <li class="quantity"><span class="mini">数量:</span><!--{$item.quantity|number_format}--></li>
-                                            <li class="quantity_btn"><img src="<!--{$TPL_URLPATH}-->img/button/btn_plus.png" width="22" height="21" alt="＋" onclick="fnFormModeSubmit('form<!--{$key}-->', 'up','cart_no','<!--{$item.cart_no}-->'); return false" /></li>
-                                            <li class="quantity_btn"><img src="<!--{$TPL_URLPATH}-->img/button/btn_minus.png" width="22" height="21" alt="-" onclick="fnFormModeSubmit('form<!--{$key}-->', 'down','cart_no','<!--{$item.cart_no}-->'); return false" /></a></li>
-                                            <li class="result"><span class="mini">小計：</span><!--{$item.total_inctax|number_format}-->円</li>
+                                            <li class="quantity"><span class="mini">数量:</span><!--{$arrItem.quantity|number_format}--></li>
+                                            <li class="quantity_btn"><img src="<!--{$TPL_URLPATH}-->img/button/btn_plus.png" width="22" height="21" alt="＋" onclick="fnFormModeSubmit('form<!--{$key}-->', 'up','cart_no','<!--{$arrItem.cart_no}-->'); return false" /></li>
+                                            <li class="quantity_btn"><img src="<!--{$TPL_URLPATH}-->img/button/btn_minus.png" width="22" height="21" alt="-" onclick="fnFormModeSubmit('form<!--{$key}-->', 'down','cart_no','<!--{$arrItem.cart_no}-->'); return false" /></a></li>
+                                            <li class="result"><span class="mini">小計：</span><!--{$arrItem.total_inctax|number_format}-->円</li>
                                         </ul>
                                     </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/recommend.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/recommend.tpl	(revision 21675)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/frontparts/bloc/recommend.tpl	(revision 21708)
@@ -33,5 +33,7 @@
                             <h3><a rel="external" href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrBestProducts[cnt].product_id|u}-->"><!--{$arrBestProducts[cnt].name|h}--></a></h3>
                             <p class="mini comment"><!--{$arrBestProducts[cnt].comment|h|nl2br}--></p>
-                            <p class="sale_price"><span class="mini"><!--<span class="mini">-->販売価格(税込):<!--</span>--></span><span class="price"><!--{$arrBestProducts[cnt].price02_min|sfCalcIncTax|number_format}--> 円</span></p>
+                            <p class="sale_price">
+                                <span class="mini">販売価格(税込):</span><span class="price"><!--{$arrBestProducts[cnt].price02_min_inctax|number_format}--> 円</span>
+                            </p>
                         </div>
                     </div>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/list.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/list.tpl	(revision 21708)
@@ -103,9 +103,9 @@
                     <span class="price">
                         <span id="price02_default_<!--{$id}-->">
-                        <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->
-                        <!--{else}-->
-                            <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->
-                        <!--{/if}-->
+                            <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+                                <!--{$arrProduct.price02_min_inctax|number_format}-->
+                            <!--{else}-->
+                                <!--{$arrProduct.price02_min_inctax|number_format}-->～<!--{$arrProduct.price02_max_inctax|number_format}-->
+                            <!--{/if}-->
                         </span><span id="price02_dynamic_<!--{$id}-->">
                         </span>円
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 21682)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/products/detail.tpl	(revision 21708)
@@ -162,6 +162,6 @@
                         <!--{section name=r loop=$arrRelativeCat}-->
                             <!--{section name=s loop=$arrRelativeCat[r]}-->
-                            <a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php?category_id=<!--{$arrRelativeCat[r][s].category_id}-->"><!--{$arrRelativeCat[r][s].category_name}--></a>
-                            <!--{if !$smarty.section.s.last}--><!--{$smarty.const.SEPA_CATNAVI}--><!--{/if}-->
+                                <a rel="external" href="<!--{$smarty.const.ROOT_URLPATH}-->products/list.php?category_id=<!--{$arrRelativeCat[r][s].category_id}-->"><!--{$arrRelativeCat[r][s].category_name}--></a>
+                                <!--{if !$smarty.section.s.last}--><!--{$smarty.const.SEPA_CATNAVI}--><!--{/if}-->
                             <!--{/section}--><br />
                         <!--{/section}-->
@@ -169,12 +169,12 @@
 
                     <!--★通常価格★-->
-                    <!--{if $arrProduct.price01_max > 0}-->
+                    <!--{if $arrProduct.price01_max_inctax > 0}-->
                         <p class="normal_price">
                             <span class="mini"><!--{$smarty.const.NORMAL_PRICE_TITLE}-->(税込)：</span>
                             <span id="price01_default">
-                                <!--{if $arrProduct.price01_min == $arrProduct.price01_max}-->
-                                    <!--{$arrProduct.price01_min|sfCalcIncTax|number_format}-->
+                                <!--{if $arrProduct.price01_min_inctax == $arrProduct.price01_max_inctax}-->
+                                    <!--{$arrProduct.price01_min_inctax|number_format}-->
                                 <!--{else}-->
-                                    <!--{$arrProduct.price01_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price01_max|sfCalcIncTax|number_format}-->
+                                    <!--{$arrProduct.price01_min_inctax|number_format}-->～<!--{$arrProduct.price01_max_inctax|number_format}-->
                                 <!--{/if}--></span>
                             <span id="price01_dynamic"></span>円
@@ -186,8 +186,8 @@
                         <span class="mini"><!--{$smarty.const.SALE_PRICE_TITLE}-->(税込)：</span>
                         <span class="price"><span id="price02_default">
-                            <!--{if $arrProduct.price02_min == $arrProduct.price02_max}-->
-                                <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->
+                            <!--{if $arrProduct.price02_min_inctax == $arrProduct.price02_max_inctax}-->
+                                <!--{$arrProduct.price02_min_inctax|number_format}-->
                             <!--{else}-->
-                                <!--{$arrProduct.price02_min|sfCalcIncTax|number_format}-->～<!--{$arrProduct.price02_max|sfCalcIncTax|number_format}-->
+                                <!--{$arrProduct.price02_min_inctax|number_format}-->～<!--{$arrProduct.price02_max_inctax|number_format}-->
                             <!--{/if}-->
                         </span><span id="price02_dynamic"></span>円</span>
@@ -394,12 +394,12 @@
                         <li id="mainImage1<!--{$smarty.section.cnt.index}-->">
                             <img src="<!--{$smarty.const.ROOT_URLPATH}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|h}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|h}-->" />
-                            <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min`}-->
-                            <!--{assign var=price02_max value=`$arrRecommend[cnt].price02_max`}-->
+                            <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min_inctax`}-->
+                            <!--{assign var=price02_max value=`$arrRecommend[cnt].price02_max_inctax`}-->
                             <h3><a rel="external" href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$arrRecommend[cnt].product_id|u}-->"><!--{$arrRecommend[cnt].name|h}--></a></h3>
                             <p class="sale_price"><span class="price">
                                 <!--{if $price02_min == $price02_max}-->
-                                    <!--{$price02_min|sfCalcIncTax|number_format}-->
+                                    <!--{$price02_min|number_format}-->
                                 <!--{else}-->
-                                    <!--{$price02_min|sfCalcIncTax|number_format}-->～<!--{$price02_max|sfCalcIncTax|number_format}-->
+                                    <!--{$price02_min|number_format}-->～<!--{$price02_max|number_format}-->
                                 <!--{/if}-->
                                 円</span>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/mypage/favorite.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 21545)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/mypage/favorite.tpl	(revision 21708)
@@ -58,8 +58,8 @@
                             <div class="favoriteContents clearfix">
                                 <h4><a rel="external" href="<!--{$smarty.const.P_DETAIL_URLPATH}--><!--{$product_id|u}-->" class="productName"><!--{$arrFavorite[cnt].name}--></a></h4>
-                                <p><span class="mini productPrice"><!--{$smarty.const.SALE_PRICE_TITLE}-->：<!--{if $arrFavorite[cnt].price02_min == $arrFavorite[cnt].price02_max}-->
-                                    <!--{$arrFavorite[cnt].price02_min|sfCalcIncTax|number_format}-->
+                                <p><span class="mini productPrice"><!--{$smarty.const.SALE_PRICE_TITLE}-->：<!--{if $arrFavorite[cnt].price02_min_inctax == $arrFavorite[cnt].price02_max_inctax}-->
+                                    <!--{$arrFavorite[cnt].price02_min_inctax|number_format}-->
                                     <!--{else}-->
-                                    <!--{$arrFavorite[cnt].price02_min|sfCalcIncTax|number_format}-->～<!--{$arrFavorite[cnt].price02_max|sfCalcIncTax|number_format}-->
+                                    <!--{$arrFavorite[cnt].price02_min_inctax|number_format}-->～<!--{$arrFavorite[cnt].price02_max_inctax|number_format}-->
                                     <!--{/if}-->円</span></p>
                                 <p class="btn_delete"><img src="<!--{$TPL_URLPATH}-->img/button/btn_delete.png" width="21" height="20" alt="削除" onclick="javascript:fnModeSubmit('delete_favorite','product_id','<!--{$product_id|h}-->');" class="pointer" /></p>