Index: /branches/version-2_12-dev/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 21684)
+++ /branches/version-2_12-dev/data/class/SC_Fpdf.php	(revision 21719)
@@ -104,12 +104,17 @@
         $arrInfo = $objDb->sfGetBasisData();
 
-        $this->lfText(125, 60, $arrInfo['shop_name'], 8, 'B');          //ショップ名
-        $this->lfText(125, 63, $arrInfo['law_url'], 8);          //URL
-        $this->lfText(125, 68, $arrInfo['law_company'], 8);        //会社名
-        $text = '〒 '.$arrInfo['law_zip01'].' - '.$arrInfo['law_zip02'];
-        $this->lfText(125, 71, $text, 8);  //郵便番号
-        $text = $this->arrPref[$arrInfo['law_pref']].$arrInfo['law_addr01'];
-        $this->lfText(125, 74, $text, 8);  //都道府県+住所1
-        $this->lfText(125, 77, $arrInfo['law_addr02'], 8);          //住所2
+        // ショップ名
+        $this->lfText(125, 60, $arrInfo['shop_name'], 8, 'B');
+        // URL
+        $this->lfText(125, 63, $arrInfo['law_url'], 8);
+        // 会社名
+        $this->lfText(125, 68, $arrInfo['law_company'], 8);
+        // 郵便番号
+        $text = '〒 ' . $arrInfo['law_zip01'] . ' - ' . $arrInfo['law_zip02'];
+        $this->lfText(125, 71, $text, 8);
+        // 都道府県+所在地
+        $text = $this->arrPref[$arrInfo['law_pref']] . $arrInfo['law_addr01'];
+        $this->lfText(125, 74, $text, 8);
+        $this->lfText(125, 77, $arrInfo['law_addr02'], 8);
 
         $text = 'TEL: '.$arrInfo['law_tel01'].'-'.$arrInfo['law_tel02'].'-'.$arrInfo['law_tel03'];
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 21719)
@@ -227,8 +227,8 @@
         $objFormParam->addParam('郵便番号1', 'zip01', ZIP01_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK','NUM_COUNT_CHECK'));
         $objFormParam->addParam('郵便番号2', 'zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK','NUM_COUNT_CHECK'));
-        // 住所チェック
+        // 所在地チェック
         $objFormParam->addParam('都道府県', 'pref', '', 'n', array('EXIST_CHECK'));
-        $objFormParam->addParam('住所1', 'addr01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('住所2', 'addr02', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('所在地1', 'addr01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('所在地2', 'addr02', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
         // メールチェック
         $objFormParam->addParam('商品注文受付メールアドレス', 'email01', null, 'a', array('EXIST_CHECK', 'EMAIL_CHECK', 'EMAIL_CHAR_CHECK'));
Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 21693)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Tradelaw.php	(revision 21719)
@@ -134,6 +134,6 @@
         $objFormParam->addParam('郵便番号2', 'law_zip02', ZIP02_LEN, 'n', array('EXIST_CHECK', 'NUM_CHECK', 'NUM_COUNT_CHECK'));
         $objFormParam->addParam('都道府県', 'law_pref', INT_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK', 'NUM_CHECK'));
-        $objFormParam->addParam('住所1', 'law_addr01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
-        $objFormParam->addParam('住所2', 'law_addr02', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('所在地1', 'law_addr01', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
+        $objFormParam->addParam('所在地2', 'law_addr02', MTEXT_LEN, 'KVa', array('EXIST_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('電話番号1', 'law_tel01', TEL_ITEM_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK' ,'NUM_CHECK'));
         $objFormParam->addParam('電話番号2', 'law_tel02', TEL_ITEM_LEN, 'n', array('EXIST_CHECK', 'MAX_LENGTH_CHECK' ,'NUM_CHECK'));
Index: /branches/version-2_12-dev/data/Smarty/templates/default/abouts/index.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 21719)
@@ -74,5 +74,5 @@
             <!--{if strlen($objSiteInfo->data.zip01)}-->
                 <tr>
-                    <th>住所</th>
+                    <th>所在地</th>
                     <td>〒<!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br /><!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></td>
                 </tr>
Index: /branches/version-2_12-dev/data/Smarty/templates/mobile/guide/about.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/mobile/guide/about.tpl	(revision 21537)
+++ /branches/version-2_12-dev/data/Smarty/templates/mobile/guide/about.tpl	(revision 21719)
@@ -35,5 +35,5 @@
     <!--{if $arrSiteInfo.zip01 != ""}-->
         <br>
-        [emoji:121]住所<br>
+        [emoji:121]所在地<br>
         〒<!--{$arrSiteInfo.zip01|h}-->-<!--{$arrSiteInfo.zip02|h}--><br>
         <!--{$arrPref[$arrSiteInfo.pref]}--><!--{$arrSiteInfo.addr01|h}--><!--{$arrSiteInfo.addr02|h}--><br>
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/basis/tradelaw.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/basis/tradelaw.tpl	(revision 21539)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/basis/tradelaw.tpl	(revision 21719)
@@ -59,5 +59,5 @@
             -
             <input type="text"    name="<!--{$arrForm[$key2].keyname}-->" value="<!--{$arrForm[$key2].value|h}-->" maxlength="<!--{$arrForm[$key2].length}-->" style="<!--{$arrErr[$key2]|sfGetErrorColor}-->"    size="6" class="box6" />
-            <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'law_zip01', 'law_zip02', 'law_pref', 'law_addr01'); return false;">住所入力</a>
+            <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'law_zip01', 'law_zip02', 'law_pref', 'law_addr01'); return false;">所在地入力</a>
             </td>
         </tr>
Index: /branches/version-2_12-dev/data/Smarty/templates/admin/basis/index.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/admin/basis/index.tpl	(revision 21695)
+++ /branches/version-2_12-dev/data/Smarty/templates/admin/basis/index.tpl	(revision 21719)
@@ -43,9 +43,9 @@
                     $("#longitude").val(latlng.lng());
                 } else {
-                    alert('住所の場所が見つかりません');
+                    alert('所在地の場所が見つかりません');
                 }
             });
         } else {
-            alert('住所の場所が見つかりません');
+            alert('所在地の場所が見つかりません');
         }
     });
@@ -163,9 +163,9 @@
                 <span class="attention"><!--{$arrErr.zip02}--></span>
                 〒 <input type="text" name="zip01" value="<!--{$arrForm.zip01|h}-->" maxlength="3" size="6" class="box6" style="<!--{if $arrErr.zip01 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" /> - <input type="text" name="zip02" value="<!--{$arrForm.zip02|h}-->" maxlength="4"    size="6" class="box6" style="<!--{if $arrErr.zip02 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" />
-                <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'zip01', 'zip02', 'pref', 'addr01'); return false;">住所入力</a>
-            </td>
-        </tr>
-        <tr>
-            <th>SHOP住所<span class="attention"> *</span></th>
+                <a class="btn-normal" href="javascript:;" name="address_input" onclick="fnCallAddress('<!--{$smarty.const.INPUT_ZIP_URLPATH}-->', 'zip01', 'zip02', 'pref', 'addr01'); return false;">所在地入力</a>
+            </td>
+        </tr>
+        <tr>
+            <th>SHOP所在地<span class="attention"> *</span></th>
             <td>
                 <p>
@@ -315,5 +315,5 @@
                 緯度: <input type="text" name="latitude" value="<!--{$arrForm.latitude|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" style="<!--{if $arrErr.latitude != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="latitude" />
                 経度: <input type="text" name="longitude" value="<!--{$arrForm.longitude|h}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" style="<!--{if $arrErr.longitude != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="longitude" />
-                <a class="btn-normal" href="javascript:;" name="codeAddress" id="codeAddress" onclick="">住所より自動取得</a>
+                <a class="btn-normal" href="javascript:;" name="codeAddress" id="codeAddress" onclick="">所在地より自動取得</a>
                 <a href="#maparea" id="mapAddress">地図で設定</a>
             </td>
Index: /branches/version-2_12-dev/data/Smarty/templates/sphone/abouts/index.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 21537)
+++ /branches/version-2_12-dev/data/Smarty/templates/sphone/abouts/index.tpl	(revision 21719)
@@ -66,5 +66,5 @@
 
         <!--{if strlen($objSiteInfo->data.zip01)}-->
-            <dt>住所</dt>
+            <dt>所在地</dt>
             <dd>〒<!--{$objSiteInfo->data.zip01|h}-->-<!--{$objSiteInfo->data.zip02|h}--><br />
                 <!--{$objSiteInfo->data.pref|h}--><!--{$objSiteInfo->data.addr01|h}--><!--{$objSiteInfo->data.addr02|h}--></dd>
Index: /branches/version-2_12-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21718)
+++ /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21719)
@@ -350,6 +350,6 @@
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (114, 3, 'order_zip02', '郵便番号2', 16, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'ZIP02_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK,NUM_COUNT_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (115, 3, '(SELECT name FROM mtb_pref WHERE mtb_pref.id = dtb_order.order_pref) as pref', '都道府県', 17, 2, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (116, 3, 'order_addr01', '住所１', 18, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'MTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,NUM_CHECK');
-INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (117, 3, 'order_addr02', '住所２', 19, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'MTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,NUM_CHECK');
+INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (116, 3, 'order_addr01', '住所1', 18, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'MTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,NUM_CHECK');
+INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (117, 3, 'order_addr02', '住所2', 19, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'KVa', 'MTEXT_LEN', 'SPTAB_CHECK,MAX_LENGTH_CHECK,NUM_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (118, 3, 'order_sex', '性別', 20, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK');
 INSERT INTO dtb_csv (no, csv_id, col, disp_name, rank, rw_flg, status, create_date, update_date, mb_convert_kana_option, size_const_type, error_check_types) VALUES (119, 3, 'order_birth', '生年月日', 21, 1, 1, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP, 'n', 'INT_LEN', 'MAX_LENGTH_CHECK,NUM_CHECK');