Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21755)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21757)
@@ -1150,31 +1150,4 @@
     }
 
-    // 指定したフォルダ内のファイルを全て削除する
-    function sfDelFile($dir) {
-        if (file_exists($dir)) {
-            $dh = opendir($dir);
-            // フォルダ内のファイルを削除
-            while ($file = readdir($dh)) {
-                if ($file == '.' or $file == '..') continue;
-                $del_file = $dir . '/' . $file;
-                if (is_file($del_file)) {
-                    $ret = unlink($dir . '/' . $file);
-                } else if (is_dir($del_file)) {
-                    $ret = SC_Utils_Ex::sfDelFile($del_file);
-                }
-
-                if (!$ret) {
-                    return $ret;
-                }
-            }
-
-            // 閉じる
-            closedir($dh);
-
-            // フォルダを削除
-            return rmdir($dir);
-        }
-    }
-
     /*
      * 関数名：sfWriteFile
@@ -1309,260 +1282,4 @@
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
         GC_Utils_Ex::printXMLDeclaration();
-    }
-
-    /*
-     * 関数名：sfGetFileList()
-     * 説明　：指定パス配下のディレクトリ取得
-     * 引数1 ：取得するディレクトリパス
-     */
-    function sfGetFileList($dir) {
-        $arrFileList = array();
-        $arrDirList = array();
-
-        if (is_dir($dir)) {
-            if ($dh = opendir($dir)) {
-                $cnt = 0;
-                // 行末の/を取り除く
-                while (($file = readdir($dh)) !== false) $arrDir[] = $file;
-                $dir = rtrim($dir, '/');
-                // アルファベットと数字でソート
-                natcasesort($arrDir);
-                foreach ($arrDir as $file) {
-                    // ./ と ../を除くファイルのみを取得
-                    if ($file != '.' && $file != '..') {
-
-                        $path = $dir.'/'.$file;
-                        // SELECT内の見た目を整えるため指定文字数で切る
-                        $file_name = SC_Utils_Ex::sfCutString($file, FILE_NAME_LEN);
-                        $file_size = SC_Utils_Ex::sfCutString(SC_Utils_Ex::sfGetDirSize($path), FILE_NAME_LEN);
-                        $file_time = date('Y/m/d', filemtime($path));
-
-                        // ディレクトリとファイルで格納配列を変える
-                        if (is_dir($path)) {
-                            $arrDirList[$cnt]['file_name'] = $file;
-                            $arrDirList[$cnt]['file_path'] = $path;
-                            $arrDirList[$cnt]['file_size'] = $file_size;
-                            $arrDirList[$cnt]['file_time'] = $file_time;
-                            $arrDirList[$cnt]['is_dir'] = true;
-                        } else {
-                            $arrFileList[$cnt]['file_name'] = $file;
-                            $arrFileList[$cnt]['file_path'] = $path;
-                            $arrFileList[$cnt]['file_size'] = $file_size;
-                            $arrFileList[$cnt]['file_time'] = $file_time;
-                            $arrFileList[$cnt]['is_dir'] = false;
-                        }
-                        $cnt++;
-                    }
-                }
-                closedir($dh);
-            }
-        }
-
-        // フォルダを先頭にしてマージ
-        return array_merge($arrDirList, $arrFileList);
-    }
-
-    /*
-     * 関数名：sfGetDirSize()
-     * 説明　：指定したディレクトリのバイト数を取得
-     * 引数1 ：ディレクトリ
-     */
-    function sfGetDirSize($dir) {
-        if (file_exists($dir)) {
-            // ディレクトリの場合下層ファイルの総量を取得
-            if (is_dir($dir)) {
-                $handle = opendir($dir);
-                while ($file = readdir($handle)) {
-                    // 行末の/を取り除く
-                    $dir = rtrim($dir, '/');
-                    $path = $dir.'/'.$file;
-                    if ($file != '..' && $file != '.' && !is_dir($path)) {
-                        $bytes += filesize($path);
-                    } else if (is_dir($path) && $file != '..' && $file != '.') {
-                        // 下層ファイルのバイト数を取得する為、再帰的に呼び出す。
-                        $bytes += SC_Utils_Ex::sfGetDirSize($path);
-                    }
-                }
-            } else {
-                // ファイルの場合
-                $bytes = filesize($dir);
-            }
-        }
-        // ディレクトリ(ファイル)が存在しない場合は0byteを返す
-        if ($bytes == '') {
-            $bytes = 0;
-        }
-
-        return $bytes;
-    }
-
-    /*
-     * 関数名：sfGetFileTree()
-     * 説明　：ツリー生成用配列取得(javascriptに渡す用)
-     * 引数1 ：ディレクトリ
-     * 引数2 ：現在のツリーの状態開いているフォルダのパスが | 区切りで格納
-     */
-    function sfGetFileTree($dir, $tree_status) {
-
-        $cnt = 0;
-        $arrTree = array();
-        $default_rank = count(explode('/', $dir));
-
-        // 文末の/を取り除く
-        $dir = rtrim($dir, '/');
-        // 最上位層を格納(user_data/)
-        if (sfDirChildExists($dir)) {
-            $arrTree[$cnt]['type'] = '_parent';
-        } else {
-            $arrTree[$cnt]['type'] = '_child';
-        }
-        $arrTree[$cnt]['path'] = $dir;
-        $arrTree[$cnt]['rank'] = 0;
-        $arrTree[$cnt]['count'] = $cnt;
-        // 初期表示はオープン
-        if ($_POST['mode'] != '') {
-            $arrTree[$cnt]['open'] = lfIsFileOpen($dir, $tree_status);
-        } else {
-            $arrTree[$cnt]['open'] = true;
-        }
-        $cnt++;
-
-        sfGetFileTreeSub($dir, $default_rank, $cnt, $arrTree, $tree_status);
-
-        return $arrTree;
-    }
-
-    /*
-     * 関数名：sfGetFileTree()
-     * 説明　：ツリー生成用配列取得(javascriptに渡す用)
-     * 引数1 ：ディレクトリ
-     * 引数2 ：デフォルトの階層(/区切りで　0,1,2・・・とカウント)
-     * 引数3 ：連番
-     * 引数4 ：現在のツリーの状態開いているフォルダのパスが | 区切りで格納
-     */
-    function sfGetFileTreeSub($dir, $default_rank, &$cnt, &$arrTree, $tree_status) {
-
-        if (file_exists($dir)) {
-            if ($handle = opendir("$dir")) {
-                while (false !== ($item = readdir($handle))) $arrDir[] = $item;
-                // アルファベットと数字でソート
-                natcasesort($arrDir);
-                foreach ($arrDir as $item) {
-                    if ($item != '.' && $item != '..') {
-                        // 文末の/を取り除く
-                        $dir = rtrim($dir, '/');
-                        $path = $dir.'/'.$item;
-                        // ディレクトリのみ取得
-                        if (is_dir($path)) {
-                            $arrTree[$cnt]['path'] = $path;
-                            if (sfDirChildExists($path)) {
-                                $arrTree[$cnt]['type'] = '_parent';
-                            } else {
-                                $arrTree[$cnt]['type'] = '_child';
-                            }
-
-                            // 階層を割り出す
-                            $arrCnt = explode('/', $path);
-                            $rank = count($arrCnt);
-                            $arrTree[$cnt]['rank'] = $rank - $default_rank + 1;
-                            $arrTree[$cnt]['count'] = $cnt;
-                            // フォルダが開いているか
-                            $arrTree[$cnt]['open'] = lfIsFileOpen($path, $tree_status);
-                            $cnt++;
-                            // 下層ディレクトリ取得の為、再帰的に呼び出す
-                            sfGetFileTreeSub($path, $default_rank, $cnt, $arrTree, $tree_status);
-                        }
-                    }
-                }
-            }
-            closedir($handle);
-        }
-    }
-
-    /*
-     * 関数名：sfDirChildExists()
-     * 説明　：指定したディレクトリ配下にファイルがあるか
-     * 引数1 ：ディレクトリ
-     */
-    function sfDirChildExists($dir) {
-        if (file_exists($dir)) {
-            if (is_dir($dir)) {
-                $handle = opendir($dir);
-                while ($file = readdir($handle)) {
-                    // 行末の/を取り除く
-                    $dir = rtrim($dir, '/');
-                    $path = $dir.'/'.$file;
-                    if ($file != '..' && $file != '.' && is_dir($path)) {
-                        return true;
-                    }
-                }
-            }
-        }
-
-        return false;
-    }
-
-    /*
-     * 関数名：lfIsFileOpen()
-     * 説明　：指定したファイルが前回開かれた状態にあったかチェック
-     * 引数1 ：ディレクトリ
-     * 引数2 ：現在のツリーの状態開いているフォルダのパスが | 区切りで格納
-     */
-    function lfIsFileOpen($dir, $tree_status) {
-        $arrTreeStatus = explode('\|', $tree_status);
-        if (in_array($dir, $arrTreeStatus)) {
-            return true;
-        }
-
-        return false;
-    }
-
-    /*
-     * 関数名：sfDownloadFile()
-     * 引数1 ：ファイルパス
-     * 説明　：ファイルのダウンロード
-     */
-    function sfDownloadFile($file) {
-        // ファイルの場合はダウンロードさせる
-        Header('Content-disposition: attachment; filename='.basename($file));
-        Header('Content-type: application/octet-stream; name='.basename($file));
-        Header('Cache-Control: ');
-        Header('Pragma: ');
-        echo (sfReadFile($file));
-    }
-
-    /*
-     * 関数名：sfCreateFile()
-     * 引数1 ：ファイルパス
-     * 引数2 ：パーミッション
-     * 説明　：ファイル作成
-     */
-    function sfCreateFile($file, $mode = '') {
-        // 行末の/を取り除く
-        if ($mode != '') {
-            $ret = @mkdir($file, $mode);
-        } else {
-            $ret = @mkdir($file);
-        }
-
-        return $ret;
-    }
-
-    /*
-     * 関数名：sfReadFile()
-     * 引数1 ：ファイルパス
-     * 説明　：ファイル読込
-     */
-    function sfReadFile($filename) {
-        $str = '';
-        // バイナリモードでオープン
-        $fp = @fopen($filename, 'rb');
-        //ファイル内容を全て変数に読み込む
-        if ($fp) {
-            $str = @fread($fp, filesize($filename)+1);
-        }
-        @fclose($fp);
-
-        return $str;
     }
 
@@ -1991,47 +1708,4 @@
     }
 
-    /**
-     * 指定されたパスの配下を再帰的に削除.
-     *
-     * @param string  $path       削除対象のディレクトリまたはファイルのパス
-     * @param boolean $del_myself $pathそのものを削除するか. true なら削除する.
-     * @return void
-     */
-    function deleteFile($path, $del_myself = true) {
-        $flg = false;
-        // 対象が存在するかを検証.
-        if (file_exists($path) === false) {
-            GC_Utils_Ex::gfPrintLog($path . ' が存在しません.');
-        } elseif (is_dir($path)) {
-            // ディレクトリが指定された場合
-            $handle = opendir($path);
-            if (!$handle) {
-                GC_Utils_Ex::gfPrintLog($path . ' が開けませんでした.');
-            }
-            while (($item = readdir($handle)) !== false) {
-                if ($item === '.' || $item === '..') continue;
-                $cur_path = $path . '/' . $item;
-                if (is_dir($cur_path)) {
-                    // ディレクトリの場合、再帰処理
-                    $flg = SC_Utils_Ex::deleteFile($cur_path);
-                } else {
-                    // ファイルの場合、unlink
-                    $flg = @unlink($cur_path);
-                }
-            }
-            closedir($handle);
-            // ディレクトリを削除
-            GC_Utils_Ex::gfPrintLog($path . ' を削除します.');
-            if ($del_myself) {
-                $flg = @rmdir($path);
-            }
-        } else {
-            // ファイルが指定された場合.
-            GC_Utils_Ex::gfPrintLog($path . ' を削除します.');
-            $flg = @unlink($path);
-        }
-        return $flg;
-    }
-
    /**
      * コンパイルファイルを削除します.
@@ -2040,8 +1714,8 @@
     function clearCompliedTemplate() {
         // コンパイルファイルの削除処理
-        SC_Utils_Ex::deleteFile(COMPILE_REALDIR, false);
-        SC_Utils_Ex::deleteFile(COMPILE_ADMIN_REALDIR, false);
-        SC_Utils_Ex::deleteFile(SMARTPHONE_COMPILE_REALDIR, false);
-        SC_Utils_Ex::deleteFile(MOBILE_COMPILE_REALDIR, false);
+        SC_Helper_FileManager_Ex::deleteFile(COMPILE_REALDIR, false);
+        SC_Helper_FileManager_Ex::deleteFile(COMPILE_ADMIN_REALDIR, false);
+        SC_Helper_FileManager_Ex::deleteFile(SMARTPHONE_COMPILE_REALDIR, false);
+        SC_Helper_FileManager_Ex::deleteFile(MOBILE_COMPILE_REALDIR, false);
     }
 
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php	(revision 21755)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_FileManager.php	(revision 21757)
@@ -121,42 +121,4 @@
 
     /**
-     * 指定したディレクトリ又はファイルを削除する.
-     *
-     * @param string $dir 削除するディレクトリ又はファイル
-     * @return void
-     */
-    function sfDeleteDir($dir) {
-        $arrResult = array();
-        if (file_exists($dir)) {
-            // ディレクトリかチェック
-            if (is_dir($dir)) {
-                if ($handle = opendir("$dir")) {
-                    $cnt = 0;
-                    while (false !== ($item = readdir($handle))) {
-                        if ($item != '.' && $item != '..') {
-                            if (is_dir("$dir/$item")) {
-                                $this->sfDeleteDir("$dir/$item");
-                            } else {
-                                $arrResult[$cnt]['result'] = @unlink("$dir/$item");
-                                $arrResult[$cnt]['file_name'] = "$dir/$item";
-                            }
-                        }
-                        $cnt++;
-                    }
-                }
-                closedir($handle);
-                $arrResult[$cnt]['result'] = @rmdir($dir);
-                $arrResult[$cnt]['file_name'] = "$dir/$item";
-            } else {
-                // ファイル削除
-                $arrResult[0]['result'] = @unlink("$dir");
-                $arrResult[0]['file_name'] = "$dir";
-            }
-        }
-
-        return $arrResult;
-    }
-
-    /**
      * ツリー生成用配列取得(javascriptに渡す用).
      *
@@ -373,5 +335,5 @@
         $debug_message = $dir . ' から ' . $dlFileName . " を作成します...\n";
         // ファイル一覧取得
-        $arrFileHash = SC_Utils_Ex::sfGetFileList($dir);
+        $arrFileHash = SC_Helper_FileManager_Ex::sfGetFileList($dir);
         foreach ($arrFileHash as $val) {
             $arrFileList[] = $val['file_name'];
@@ -419,8 +381,51 @@
 
         // フォルダ削除
-        SC_Utils_Ex::sfDelFile($dir . '/' . $unpacking_name);
+        SC_Helper_FileManager_Ex::deleteFile($dir . '/' . $unpacking_name);
         // 圧縮ファイル削除
         unlink($path);
         return $result;
     }
+
+    /**
+     * 指定されたパスの配下を再帰的に削除.
+     *
+     * @param string  $path       削除対象のディレクトリまたはファイルのパス
+     * @param boolean $del_myself $pathそのものを削除するか. true なら削除する.
+     * @return void
+     */
+    function deleteFile($path, $del_myself = true) {
+        $flg = false;
+        // 対象が存在するかを検証.
+        if (file_exists($path) === false) {
+            GC_Utils_Ex::gfPrintLog($path . ' が存在しません.');
+        } elseif (is_dir($path)) {
+            // ディレクトリが指定された場合
+            $handle = opendir($path);
+            if (!$handle) {
+                GC_Utils_Ex::gfPrintLog($path . ' が開けませんでした.');
+            }
+            while (($item = readdir($handle)) !== false) {
+                if ($item === '.' || $item === '..') continue;
+                $cur_path = $path . '/' . $item;
+                if (is_dir($cur_path)) {
+                    // ディレクトリの場合、再帰処理
+                    $flg = SC_Helper_FileManager_Ex::deleteFile($cur_path);
+                } else {
+                    // ファイルの場合、unlink
+                    $flg = @unlink($cur_path);
+                }
+            }
+            closedir($handle);
+            // ディレクトリを削除
+            GC_Utils_Ex::gfPrintLog($path . ' を削除します.');
+            if ($del_myself) {
+                $flg = @rmdir($path);
+            }
+        } else {
+            // ファイルが指定された場合.
+            GC_Utils_Ex::gfPrintLog($path . ' を削除します.');
+            $flg = @unlink($path);
+        }
+        return $flg;
+    }
 }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 21686)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_CSV.php	(revision 21757)
@@ -248,5 +248,5 @@
             $res = true;
         } else {
-            $res = SC_Utils_Ex::sfReadFile($tmp_filename);
+            $res = SC_Helper_FileManager_Ex::sfReadFile($tmp_filename);
         }
 
Index: /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Bkup.php	(revision 21757)
@@ -110,9 +110,9 @@
                     $work_dir = $this->bkup_dir . $arrData['bkup_name'] . '/';
                     // バックアップデータの事前削除
-                    SC_Utils_Ex::sfDelFile($work_dir);
+                    SC_Helper_FileManager_Ex::deleteFile($work_dir);
                     // バックアップファイル作成
                     $res = $this->lfCreateBkupData($arrData['bkup_name'], $work_dir);
                     // バックアップデータの事後削除
-                    SC_Utils_Ex::sfDelFile($work_dir);
+                    SC_Helper_FileManager_Ex::deleteFile($work_dir);
 
                     $arrErrTmp[3] = array();
Index: /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/admin/system/LC_Page_Admin_System_Plugin.php	(revision 21757)
@@ -399,5 +399,5 @@
 
         // 不要なファイルの削除
-        SC_Utils_EX::deleteFile(DOWNLOADS_TEMP_PLUGIN_INSTALL_DIR, false);
+        SC_Helper_FileManager_EX::deleteFile(DOWNLOADS_TEMP_PLUGIN_INSTALL_DIR, false);
         return $arrErr;
     }
@@ -413,5 +413,5 @@
     function rollBack($temp_dir, $plugin_id = '', $plugin_html_dir ='') {
         // 一時ディレクトリを削除.
-        SC_Utils_Ex::deleteFile($temp_dir, false);
+        SC_Helper_FileManager_Ex::deleteFile($temp_dir, false);
         // DBからプラグイン情報を削除
         if (empty($plugin_id) === false) {
@@ -420,5 +420,5 @@
         // htmlディレクトリを削除
         if (empty($plugin_html_dir) === false) {
-            SC_Utils_Ex::deleteFile($plugin_html_dir, true);
+            SC_Helper_FileManager_Ex::deleteFile($plugin_html_dir, true);
         }
     }
@@ -512,5 +512,5 @@
 
         // 保存ディレクトリの削除.
-        SC_Utils_Ex::deleteFile(DOWNLOADS_TEMP_PLUGIN_UPDATE_DIR, false);
+        SC_Helper_FileManager_Ex::deleteFile(DOWNLOADS_TEMP_PLUGIN_UPDATE_DIR, false);
 
         return $arrErr;
@@ -767,9 +767,9 @@
         SC_Plugin_Util_Ex::deletePluginByPluginId($plugin_id);
 
-        if (SC_Utils_Ex::deleteFile($this->getPluginDir($plugin_code)) === false) {
+        if (SC_Helper_FileManager_Ex::deleteFile($this->getPluginDir($plugin_code)) === false) {
             // TODO エラー処理
         }
 
-        if (SC_Utils_Ex::deleteFile($this->getHtmlPluginDir($plugin_code)) === false) {
+        if (SC_Helper_FileManager_Ex::deleteFile($this->getHtmlPluginDir($plugin_code)) === false) {
             // TODO エラー処理
         }
Index: /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 21743)
+++ /branches/version-2_12-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Template.php	(revision 21757)
@@ -233,5 +233,5 @@
             // テンプレート削除
             $templates_dir = SMARTY_TEMPLATES_REALDIR . $template_code. '/';
-            if (SC_Utils_Ex::sfDelFile($templates_dir) === false) {
+            if (SC_Helper_FileManager_Ex::deleteFile($templates_dir) === false) {
                 $this->arrErr['err'] = $error;
                 $objQuery->rollback();
@@ -240,5 +240,5 @@
             // ユーザーデータ削除
             $user_dir = USER_TEMPLATE_REALDIR. $template_code. '/';
-            if (SC_Utils_Ex::sfDelFile($user_dir) === false) {
+            if (SC_Helper_FileManager_Ex::deleteFile($user_dir) === false) {
                 $this->arrErr['err'] = $error;
                 $objQuery->rollback();
@@ -248,5 +248,5 @@
             // コンパイル削除
             $templates_c_dir = DATA_REALDIR. 'Smarty/templates_c/'. $template_code. '/';
-            if (SC_Utils_Ex::sfDelFile($templates_c_dir) === false) {
+            if (SC_Helper_FileManager_Ex::deleteFile($templates_c_dir) === false) {
                 $this->arrErr['err'] = $error;
                 $objQuery->rollback();
Index: /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 21755)
+++ /branches/version-2_12-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 21757)
@@ -146,5 +146,5 @@
                 $this->arrErr = $objFormParam->checkError();
                 if (SC_Utils_Ex::isBlank($this->arrErr)) {
-                    $objFileManager->sfDeleteDir($objFormParam->getValue('select_file'));
+                    $objFileManager->deleteFile($objFormParam->getValue('select_file'));
                 }
                 break;