Index: /branches/version-2_12-dev/data/class/SC_SmartphoneView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SmartphoneView.php	(revision 21420)
+++ /branches/version-2_12-dev/data/class/SC_SmartphoneView.php	(revision 21765)
@@ -23,6 +23,11 @@
 
 class SC_SmartphoneView extends SC_SiteView_Ex {
-    function SC_SmartphoneView($setPrevURL = true) {
-        parent::SC_SiteView($setPrevURL);
+    function __construct($setPrevURL = true) {
+        parent::__construct($setPrevURL);
+    }
+
+    function init() {
+        parent::init();
+
         $this->_smarty->template_dir = SMARTPHONE_TEMPLATE_REALDIR;
         $this->_smarty->compile_dir = SMARTPHONE_COMPILE_REALDIR;
Index: /branches/version-2_12-dev/data/class/SC_AdminView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_AdminView.php	(revision 21760)
+++ /branches/version-2_12-dev/data/class/SC_AdminView.php	(revision 21765)
@@ -23,6 +23,11 @@
 
 class SC_AdminView extends SC_View_Ex {
-    function SC_AdminView() {
-        parent::SC_View();
+    function __construct() {
+        parent::__construct();
+    }
+
+    function init() {
+        parent::init();
+
         $this->_smarty->template_dir = TEMPLATE_ADMIN_REALDIR;
         $this->_smarty->compile_dir = COMPILE_ADMIN_REALDIR;
Index: /branches/version-2_12-dev/data/class/SC_SiteView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_SiteView.php	(revision 21420)
+++ /branches/version-2_12-dev/data/class/SC_SiteView.php	(revision 21765)
@@ -23,6 +23,14 @@
 
 class SC_SiteView extends SC_View_Ex {
-    function SC_SiteView($setPrevURL = true) {
-        parent::SC_View();
+    function __construct($setPrevURL = true) {
+        parent::__construct();
+
+        if ($setPrevURL) {
+            $this->setPrevURL();
+        }
+    }
+
+    function init() {
+        parent::init();
 
         $this->_smarty->template_dir = TEMPLATE_REALDIR;
@@ -31,9 +39,9 @@
         $this->assignTemplatePath(DEVICE_TYPE_PC);
         $this->initpath();
+    }
 
-        if ($setPrevURL) {
+    function setPrevURL() {
             $objCartSess = new SC_CartSession_Ex();
             $objCartSess->setPrevURL($_SERVER['REQUEST_URI']);
-        }
     }
 }
Index: /branches/version-2_12-dev/data/class/SC_InstallView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_InstallView.php	(revision 21760)
+++ /branches/version-2_12-dev/data/class/SC_InstallView.php	(revision 21765)
@@ -23,6 +23,7 @@
 
 class SC_InstallView extends SC_View_Ex {
-    function SC_InstallView($template_dir, $compile_dir = COMPILE_REALDIR) {
-        parent::SC_View();
+    function __construct($template_dir, $compile_dir = COMPILE_REALDIR) {
+        parent::__construct();
+
         $this->_smarty->template_dir = $template_dir;
         $this->_smarty->compile_dir = $compile_dir;
Index: /branches/version-2_12-dev/data/class/SC_MobileView.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_MobileView.php	(revision 21420)
+++ /branches/version-2_12-dev/data/class/SC_MobileView.php	(revision 21765)
@@ -23,6 +23,11 @@
 
 class SC_MobileView extends SC_SiteView_Ex {
-    function SC_MobileView($setPrevURL = true) {
-        parent::SC_SiteView($setPrevURL);
+    function __construct($setPrevURL = true) {
+        parent::__construct($setPrevURL);
+    }
+
+    function init() {
+        parent::init();
+
         $this->_smarty->template_dir = MOBILE_TEMPLATE_REALDIR;
         $this->_smarty->compile_dir = MOBILE_COMPILE_REALDIR;
Index: /branches/version-2_12-dev/data/class/SC_View.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_View.php	(revision 21761)
+++ /branches/version-2_12-dev/data/class/SC_View.php	(revision 21765)
@@ -31,6 +31,9 @@
 
     // コンストラクタ
-    function SC_View() {
-
+    function __construct() {
+        $this->init();
+    }
+
+    function init() {
         $this->_smarty = new Smarty;
         $this->_smarty->left_delimiter = '<!--{';